/******/ (function() { // webpackBootstrap
/******/ 	"use strict";
/******/ 	var __webpack_modules__ = ({

/***/ "./components/discord/views/Authorization.jsx":
/*!****************************************************!*\
  !*** ./components/discord/views/Authorization.jsx ***!
  \****************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": function() { return /* binding */ Authorization; }
/* harmony export */ });
/* harmony import */ var _GeneralAdminViews_InputCheckbox_jsx__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @GeneralAdminViews/InputCheckbox.jsx */ "./views/includes/InputCheckbox.jsx");
/* harmony import */ var _GeneralAdminViews_InputRadio_jsx__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @GeneralAdminViews/InputRadio.jsx */ "./views/includes/InputRadio.jsx");
/* harmony import */ var _GeneralAdminViews_InputRepeater_jsx__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @GeneralAdminViews/InputRepeater.jsx */ "./views/includes/InputRepeater.jsx");
/* harmony import */ var _GeneralAdminViews_InputText_jsx__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @GeneralAdminViews/InputText.jsx */ "./views/includes/InputText.jsx");
/* harmony import */ var _GeneralAdminViews_InputTextArea_jsx__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @GeneralAdminViews/InputTextArea.jsx */ "./views/includes/InputTextArea.jsx");





class Authorization extends window.React.Component {
  render() {
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("h2", null, this.props.__("Authorization Settings", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("table", {
      className: "form-table"
    }, /*#__PURE__*/React.createElement("tbody", null, /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", null, this.props.__("Comments", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement(_GeneralAdminViews_InputTextArea_jsx__WEBPACK_IMPORTED_MODULE_4__["default"], {
      name: 'argusDiscordCommentsCPT',
      label: this.props.__("Click on the post type to activate commenting with Discord button:", 'argus-wordpress-plugin'),
      value: this.props.settingsValues.argusDiscordCommentsCPT,
      hidden: true,
      tags: this.props.registeredCPT,
      note: this.props.__("Selected comment forms must have <code>comment_form_top</code> hook.", 'argus-wordpress-plugin'),
      inputTextAreaChange: this.props.inputTextAreaChange,
      inputTextAreaSwitchTag: this.props.inputTextAreaSwitchTag,
      colors: this.props.colors,
      __: this.props.__,
      key: 'argusDiscordCommentsCPT' + this.props.key
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", null), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement(_GeneralAdminViews_InputCheckbox_jsx__WEBPACK_IMPORTED_MODULE_0__["default"], {
      name: 'argusDiscordStylingOAuthButtons',
      label: this.props.__("Add default style to comments buttons", 'argus-wordpress-plugin'),
      value: this.props.settingsValues.argusDiscordStylingOAuthButtons,
      inputCheckboxChange: this.props.inputCheckboxChange,
      __: this.props.__,
      colors: this.props.colors
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", null, this.props.__("Login Forms", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement(_GeneralAdminViews_InputCheckbox_jsx__WEBPACK_IMPORTED_MODULE_0__["default"], {
      name: 'argusDiscordModifyWPLoginForm',
      label: this.props.__("Add Discord authorization button to default WP login form", 'argus-wordpress-plugin'),
      value: this.props.settingsValues.argusDiscordModifyWPLoginForm,
      inputCheckboxChange: this.props.inputCheckboxChange,
      __: this.props.__,
      colors: this.props.colors
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", null), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement(_GeneralAdminViews_InputCheckbox_jsx__WEBPACK_IMPORTED_MODULE_0__["default"], {
      name: 'argusDiscordModifyMemberPressLoginForm',
      label: this.props.__("Add Discord authorization button to MemberPress login form", 'argus-wordpress-plugin'),
      value: this.props.settingsValues.argusDiscordModifyMemberPressLoginForm,
      inputCheckboxChange: this.props.inputCheckboxChange,
      __: this.props.__,
      colors: this.props.colors
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", null, this.props.__("Filters", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement(_GeneralAdminViews_InputCheckbox_jsx__WEBPACK_IMPORTED_MODULE_0__["default"], {
      name: 'argusDiscordDeleteFromGuildIfProfileDisconnected',
      label: this.props.__("Remove member from the guild if the Discord profile disconnected", 'argus-wordpress-plugin'),
      note: this.props.__("This function will not work if you manually disconnect Discord profile in the admin panel in the WP profile.", 'argus-wordpress-plugin'),
      value: this.props.settingsValues.argusDiscordDeleteFromGuildIfProfileDisconnected,
      inputCheckboxChange: this.props.inputCheckboxChange,
      __: this.props.__,
      colors: this.props.colors
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", null), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement(_GeneralAdminViews_InputCheckbox_jsx__WEBPACK_IMPORTED_MODULE_0__["default"], {
      name: 'argusDiscordBlockNotVerified',
      label: this.props.__("Disallow users with unverified Discord accounts", 'argus-wordpress-plugin'),
      value: this.props.settingsValues.argusDiscordBlockNotVerified,
      inputCheckboxChange: this.props.inputCheckboxChange,
      __: this.props.__,
      colors: this.props.colors
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", null), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement(_GeneralAdminViews_InputCheckbox_jsx__WEBPACK_IMPORTED_MODULE_0__["default"], {
      name: 'argusDiscordBlockPending',
      label: this.props.__("Disallow users who have not passed the <a href='https://support.discord.com/hc/en-us/articles/1500000466882' target='_blank'>Membership Screening</a> requirements", 'argus-wordpress-plugin'),
      value: this.props.settingsValues.argusDiscordBlockPending,
      inputCheckboxChange: this.props.inputCheckboxChange,
      colors: this.props.colors,
      __: this.props.__,
      note: this.props.__("Also user will be blocked if he is not from", 'argus-wordpress-plugin') + ' <code>' + this.props.webhookName + '</code>'
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", null), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement(_GeneralAdminViews_InputRadio_jsx__WEBPACK_IMPORTED_MODULE_1__["default"], {
      name: 'argusDiscordGuildFilterMode',
      values: [{
        value: 'disable',
        checked: this.props.settingsValues.argusDiscordGuildFilterMode === 'disable',
        label: this.props.__("Do not filter users by a guild", 'argus-wordpress-plugin')
      }, {
        value: 'allow',
        checked: this.props.settingsValues.argusDiscordGuildFilterMode === 'allow',
        label: this.props.__("Allow only users from the guilds listed below", 'argus-wordpress-plugin')
      }, {
        value: 'disallow',
        checked: this.props.settingsValues.argusDiscordGuildFilterMode === 'disallow',
        label: this.props.__("Disallow users that are members of guilds listed below", 'argus-wordpress-plugin')
      }],
      colors: this.props.colors,
      __: this.props.__,
      inputRadioChange: this.props.inputRadioChange
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", null), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement(_GeneralAdminViews_InputTextArea_jsx__WEBPACK_IMPORTED_MODULE_4__["default"], {
      name: 'argusDiscordGuildFilter',
      label: this.props.__("Enter guild IDs separated by <code>,</code>:", 'argus-wordpress-plugin'),
      value: this.props.settingsValues.argusDiscordGuildFilter,
      hidden: false,
      tagsLabel: this.props.__("Click here to add/remove connected guild to the list:", 'argus-wordpress-plugin'),
      tags: [{
        value: this.props.guildID,
        name: this.props.guildName
      }],
      note: this.props.__("For more information on how to get guild ID click", 'argus-wordpress-plugin') + ' <a href="#" onclick="argusOpenHelpTabSection(\'tab-link-argus-help-tab-how-to-find-discord-ids\')"> ' + this.props.__("here", 'argus-wordpress-plugin') + ' </a>.',
      inputTextAreaChange: this.props.inputTextAreaChange,
      inputTextAreaSwitchTag: this.props.inputTextAreaSwitchTag,
      colors: this.props.colors,
      __: this.props.__,
      key: 'argusDiscordGuildFilter' + this.props.key
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", null), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement(_GeneralAdminViews_InputRadio_jsx__WEBPACK_IMPORTED_MODULE_1__["default"], {
      name: 'argusDiscordRolesFilterMode',
      values: [{
        value: 'disable',
        checked: this.props.settingsValues.argusDiscordRolesFilterMode === 'disable',
        label: this.props.__("Do not filter users by role", 'argus-wordpress-plugin')
      }, {
        value: 'allow',
        checked: this.props.settingsValues.argusDiscordRolesFilterMode === 'allow',
        label: this.props.__("Allow only users from your guild with any role listed below", 'argus-wordpress-plugin')
      }, {
        value: 'disallow',
        checked: this.props.settingsValues.argusDiscordRolesFilterMode === 'disallow',
        label: this.props.__("Disallow users from your guild with at least one role listed below", 'argus-wordpress-plugin')
      }],
      inputRadioChange: this.props.inputRadioChange,
      colors: this.props.colors,
      __: this.props.__,
      note: this.props.__("Role checking will work only with members from", 'argus-wordpress-plugin') + ' <code>' + this.props.guildName + '</code>'
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", null), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement(_GeneralAdminViews_InputTextArea_jsx__WEBPACK_IMPORTED_MODULE_4__["default"], {
      name: 'argusDiscordRolesFilter',
      label: this.props.__("Click on the role to add it to the filtering:", 'argus-wordpress-plugin'),
      value: this.props.settingsValues.argusDiscordRolesFilter,
      hidden: true,
      tags: this.props.discordRoles,
      inputTextAreaChange: this.props.inputTextAreaChange,
      inputTextAreaSwitchTag: this.props.inputTextAreaSwitchTag,
      colors: this.props.colors,
      __: this.props.__,
      key: 'argusDiscordRolesFilter' + this.props.key
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", null), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement(_GeneralAdminViews_InputCheckbox_jsx__WEBPACK_IMPORTED_MODULE_0__["default"], {
      name: 'argusDiscordFilterProfileConnection',
      label: this.props.__("Apply filters when connecting a Discord profile to a WP profile", 'argus-wordpress-plugin'),
      value: this.props.settingsValues.argusDiscordFilterProfileConnection,
      colors: this.props.colors,
      __: this.props.__,
      inputCheckboxChange: this.props.inputCheckboxChange
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", null, this.props.__("Redirects", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement(_GeneralAdminViews_InputText_jsx__WEBPACK_IMPORTED_MODULE_3__["default"], {
      name: 'argusDiscordNewUserRedirect',
      label: this.props.__("Redirect to this URL after registration with Discord:", 'argus-wordpress-plugin'),
      value: this.props.settingsValues.argusDiscordNewUserRedirect,
      colors: this.props.colors,
      __: this.props.__,
      note: this.props.__("Leave the field empty to disable this redirect.", 'argus-wordpress-plugin'),
      inputTextChange: this.props.inputTextChange
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", null), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement(_GeneralAdminViews_InputCheckbox_jsx__WEBPACK_IMPORTED_MODULE_0__["default"], {
      name: 'argusDiscordNewUserRedirectInNewTab',
      label: this.props.__("Try to open redirect in a new tab after registration with Discord", 'argus-wordpress-plugin'),
      value: this.props.settingsValues.argusDiscordNewUserRedirectInNewTab,
      colors: this.props.colors,
      __: this.props.__,
      note: this.props.__("A lot of browsers and extensions are blocking new tabs. If this plugin will detect that tab was blocked it will make a redirect current tab.", 'argus-wordpress-plugin'),
      inputCheckboxChange: this.props.inputCheckboxChange
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", null), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement(_GeneralAdminViews_InputCheckbox_jsx__WEBPACK_IMPORTED_MODULE_0__["default"], {
      name: 'argusDiscordNewUserRedirectIfNotInGuild',
      label: this.props.__("Redirect only registrations of not guild members", 'argus-wordpress-plugin'),
      value: this.props.settingsValues.argusDiscordNewUserRedirectIfNotInGuild,
      colors: this.props.colors,
      __: this.props.__,
      inputCheckboxChange: this.props.inputCheckboxChange
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", null), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement(_GeneralAdminViews_InputText_jsx__WEBPACK_IMPORTED_MODULE_3__["default"], {
      name: 'argusDiscordProfileConnectedRedirect',
      label: this.props.__("Redirect to this URL after a Discord profile connection:", 'argus-wordpress-plugin'),
      value: this.props.settingsValues.argusDiscordProfileConnectedRedirect,
      colors: this.props.colors,
      __: this.props.__,
      note: this.props.__("Leave the field empty to disable this redirect.", 'argus-wordpress-plugin'),
      inputTextChange: this.props.inputTextChange
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", null), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement(_GeneralAdminViews_InputRepeater_jsx__WEBPACK_IMPORTED_MODULE_2__["default"], {
      __: this.props.__,
      name: 'argusDiscordCustomRedirects',
      label: this.props.__("Custom redirects for later use in widgets and blocks:", 'argus-wordpress-plugin'),
      values: this.props.settingsValues.argusDiscordCustomRedirects,
      inputRepeaterDelete: this.props.inputRepeaterDelete,
      colors: this.props.colors,
      inputRepeaterUpdate: this.props.inputRepeaterUpdate
    }))))));
  }
}

/***/ }),

/***/ "./components/discord/views/DataSynchronization.jsx":
/*!**********************************************************!*\
  !*** ./components/discord/views/DataSynchronization.jsx ***!
  \**********************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": function() { return /* binding */ DataSynchronization; }
/* harmony export */ });
/* harmony import */ var _GeneralAdminViews_InputSelect_jsx__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @GeneralAdminViews/InputSelect.jsx */ "./views/includes/InputSelect.jsx");
/* harmony import */ var _views_includes_InputRoles_jsx__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../views/includes/InputRoles.jsx */ "./components/discord/views/includes/InputRoles.jsx");


class DataSynchronization extends window.React.Component {
  render() {
    let ifProfileConnectedArray = [{
      value: '',
      name: this.props.__("None", 'argus-wordpress-plugin')
    }].concat(this.props.wpRoles);
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("h2", null, this.props.__("Data Synchronization", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("table", {
      className: "form-table"
    }, /*#__PURE__*/React.createElement("tbody", null, /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", null, this.props.__("Roles Synchronization", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement(_views_includes_InputRoles_jsx__WEBPACK_IMPORTED_MODULE_1__["default"], {
      allRoleBindings: this.props.allRoleBindings,
      newRoleBinding: this.props.newRoleBinding,
      wpRoles: this.props.wpRoles,
      discordRoles: this.props.discordRoles,
      inputSyncReverseDirection: this.props.inputSyncReverseDirection,
      inputRolesSelectChange: this.props.inputRolesSelectChange,
      inputRolesAdd: this.props.inputRolesAdd,
      inputRolesRemove: this.props.inputRolesRemove,
      colors: this.props.colors,
      __: this.props.__
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", null), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement(_GeneralAdminViews_InputSelect_jsx__WEBPACK_IMPORTED_MODULE_0__["default"], {
      name: 'argusDiscordAssignRoleIfProfileConnected',
      value: this.props.settingsValues.argusDiscordAssignRoleIfProfileConnected,
      options: ifProfileConnectedArray,
      colors: this.props.colors,
      __: this.props.__,
      label: this.props.__("Assign role when profile connected with the connect profile button:", 'argus-wordpress-plugin'),
      note: this.props.__("This function will not work if you manually disconnect the Discord profile in the admin panel.", 'argus-wordpress-plugin'),
      inputSelectChange: this.props.inputSelectChange
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", null, this.props.__("Data Update", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement("div", {
      className: "argus-data-update"
    }, /*#__PURE__*/React.createElement("h3", null, this.props.__("Update Intervals", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("p", null, this.props.__("This is a table of all data updates. This is not the only time when updates happen, quite often updates happen when some event occurs, for example when a user logged in his profile data are synced.", 'argus-wordpress-plugin'), ' ', /*#__PURE__*/React.createElement("b", null, this.props.__("Important! You can not change the frequency of updates for a reason, Discord API has rate limits and if you exceed these limits API will cut you off and the website will not be getting any new data until the limit ban ends.", 'argus-wordpress-plugin')), ' ', this.props.__("Do not increase update frequency in the code, if you see that you need synchronization of some data at a particular moment, contact me, and we will add a custom update request for you.", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("div", {
      className: "argus-admin-update-data"
    }, /*#__PURE__*/React.createElement("table", null, /*#__PURE__*/React.createElement("tbody", null, /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("td", null, this.props.__("Bot admin profile data", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("td", null, this.props.__("weekly", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("td", null, this.props.singleProcessStatus.profile === 4 && /*#__PURE__*/React.createElement("a", {
      className: "button argus-single-update",
      onClick: () => this.props.runSingleProcess('argusDiscordFetchAuthorizedProfile', 'profile')
    }, this.props.__("Update Now", 'argus-wordpress-plugin')), this.props.singleProcessStatus.profile === 1 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-yes"
    }), this.props.singleProcessStatus.profile === 2 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-no-alt"
    }), this.props.singleProcessStatus.profile === 3 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-update"
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("td", null, this.props.__("Application and bot data", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("td", null, this.props.__("weekly", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("td", null, this.props.singleProcessStatus.application === 4 && /*#__PURE__*/React.createElement("a", {
      className: "button argus-single-update",
      onClick: () => this.props.runSingleProcess('argusDiscordFetchAuthorizedProfile', 'application')
    }, this.props.__("Update Now", 'argus-wordpress-plugin')), this.props.singleProcessStatus.application === 1 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-yes"
    }), this.props.singleProcessStatus.application === 2 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-no-alt"
    }), this.props.singleProcessStatus.application === 3 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-update"
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("td", null, this.props.__("Guild data", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("td", null, this.props.__("weekly", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("td", null, this.props.singleProcessStatus.guild === 4 && /*#__PURE__*/React.createElement("a", {
      className: "button argus-single-update",
      onClick: () => this.props.runSingleProcess('argusDiscordFetchGuild', 'guild')
    }, this.props.__("Update Now", 'argus-wordpress-plugin')), this.props.singleProcessStatus.guild === 1 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-yes"
    }), this.props.singleProcessStatus.guild === 2 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-no-alt"
    }), this.props.singleProcessStatus.guild === 3 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-update"
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("td", null, this.props.__("Members data", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("td", null, this.props.__("daily", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("td", null, this.props.singleProcessStatus.members === 4 && /*#__PURE__*/React.createElement("a", {
      className: "button argus-single-update",
      onClick: () => this.props.runSingleProcess('argusDiscordFetchMembers', 'members')
    }, this.props.__("Update Now", 'argus-wordpress-plugin')), this.props.singleProcessStatus.members === 1 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-yes"
    }), this.props.singleProcessStatus.members === 2 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-no-alt"
    }), this.props.singleProcessStatus.members === 3 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-update"
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("td", null, this.props.__("Roles data", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("td", null, this.props.__("weekly", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("td", null, this.props.singleProcessStatus.roles === 4 && /*#__PURE__*/React.createElement("a", {
      className: "button argus-single-update",
      onClick: () => this.props.runSingleProcess('argusDiscordFetchAllRoles', 'roles')
    }, this.props.__("Update Now", 'argus-wordpress-plugin')), this.props.singleProcessStatus.roles === 1 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-yes"
    }), this.props.singleProcessStatus.roles === 2 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-no-alt"
    }), this.props.singleProcessStatus.roles === 3 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-update"
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("td", null, this.props.__("Synchronization of all roles of all users", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("td", null, this.props.__("once in 4 days", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("td", {
      rowSpan: "2"
    }, this.props.singleProcessStatus.allRoles === 4 && /*#__PURE__*/React.createElement("a", {
      className: "button argus-single-update",
      onClick: () => this.props.runSingleProcess('argusDiscordSyncAllUsersRoles', 'allRoles')
    }, this.props.__("Update Now", 'argus-wordpress-plugin')), this.props.singleProcessStatus.allRoles === 1 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-yes"
    }), this.props.singleProcessStatus.allRoles === 2 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-no-alt"
    }), this.props.singleProcessStatus.allRoles === 3 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-update"
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("td", null, this.props.__("Individual user roles synchronization", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("td", null, this.props.__("individually for each user", 'argus-wordpress-plugin'))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("td", null, this.props.__("Channels data", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("td", null, this.props.__("daily", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("td", null, this.props.singleProcessStatus.channels === 4 && /*#__PURE__*/React.createElement("a", {
      className: "button argus-single-update",
      onClick: () => this.props.runSingleProcess('argusDiscordFetchAllChannels', 'channels')
    }, this.props.__("Update Now", 'argus-wordpress-plugin')), this.props.singleProcessStatus.channels === 1 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-yes"
    }), this.props.singleProcessStatus.channels === 2 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-no-alt"
    }), this.props.singleProcessStatus.channels === 3 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-update"
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("td", null, this.props.__("Invites data", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("td", null, this.props.__("never", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("td", null, this.props.singleProcessStatus.invites === 4 && /*#__PURE__*/React.createElement("a", {
      className: "button argus-single-update",
      onClick: () => this.props.runSingleProcess('argusDiscordFetchAllChannelsInviteLinks', 'invites')
    }, this.props.__("Update Now", 'argus-wordpress-plugin')), this.props.singleProcessStatus.invites === 1 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-yes"
    }), this.props.singleProcessStatus.invites === 2 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-no-alt"
    }), this.props.singleProcessStatus.invites === 3 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-update"
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("td", null, this.props.__("Messages data", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("td", null, this.props.__("hourly", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("td", null, this.props.singleProcessStatus.messages === 4 && /*#__PURE__*/React.createElement("a", {
      className: "button argus-single-update",
      onClick: () => this.props.runSingleProcess('argusDiscordFetchMessagesFromAllChannels', 'messages')
    }, this.props.__("Update Now", 'argus-wordpress-plugin')), this.props.singleProcessStatus.messages === 1 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-yes"
    }), this.props.singleProcessStatus.messages === 2 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-no-alt"
    }), this.props.singleProcessStatus.messages === 3 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-update"
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("td", null, this.props.__("Pinned messages data", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("td", null, this.props.__("twice daily", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("td", null, this.props.singleProcessStatus.pinned === 4 && /*#__PURE__*/React.createElement("a", {
      className: "button argus-single-update",
      onClick: () => this.props.runSingleProcess('argusDiscordFetchPinnedMessagesFromAllChannels', 'pinned')
    }, this.props.__("Update Now", 'argus-wordpress-plugin')), this.props.singleProcessStatus.pinned === 1 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-yes"
    }), this.props.singleProcessStatus.pinned === 2 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-no-alt"
    }), this.props.singleProcessStatus.pinned === 3 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-update"
    })))), /*#__PURE__*/React.createElement("tfoot", null, /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("td", {
      colSpan: "3"
    }, /*#__PURE__*/React.createElement("a", {
      className: "button button-primary",
      onClick: () => this.props.startLongProcess(this.props.__("Updating All Data", 'argus-wordpress-plugin'), 'argusDiscordAllDiscordDataUpdateList')
    }, this.props.__("Update All Data Now", 'argus-wordpress-plugin')))))))))))));
  }
}

/***/ }),

/***/ "./components/discord/views/LongProcess.jsx":
/*!**************************************************!*\
  !*** ./components/discord/views/LongProcess.jsx ***!
  \**************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": function() { return /* binding */ LongProcess; }
/* harmony export */ });
class LongProcess extends window.React.Component {
  componentDidUpdate() {
    window.scrollTo({
      top: 0,
      behavior: 'smooth'
    });
    let nextElement = document.querySelector('#argus-progressbar-messages .dashicons-update');
    if (nextElement) {
      nextElement.scrollIntoView({
        block: "nearest",
        inline: "nearest",
        behavior: 'smooth'
      });
    }
  }
  render() {
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
      id: "argus-progressbar-messages"
    }, this.props.longProcessTasks.map(item => /*#__PURE__*/React.createElement("p", null, item.state === 1 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-yes"
    }), item.state === 2 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-no-alt"
    }), item.state === 3 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-update"
    }), item.state === 4 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons"
    }), /*#__PURE__*/React.createElement("span", {
      dangerouslySetInnerHTML: {
        __html: item.text
      }
    })))), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement("a", {
      href: '#',
      onClick: () => this.props.restartLongProcess()
    }, this.props.__("Restart again", 'argus-wordpress-plugin')), ' ', "|", ' ', /*#__PURE__*/React.createElement("a", {
      href: '#',
      onClick: () => this.props.stopLongProcess()
    }, this.props.__("Return to plugin settings", 'argus-wordpress-plugin'))));
  }
}

/***/ }),

/***/ "./components/discord/views/SettingsGeneral.jsx":
/*!******************************************************!*\
  !*** ./components/discord/views/SettingsGeneral.jsx ***!
  \******************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": function() { return /* binding */ SettingsGeneral; }
/* harmony export */ });
/* harmony import */ var _GeneralAdminViews_InputCheckbox_jsx__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @GeneralAdminViews/InputCheckbox.jsx */ "./views/includes/InputCheckbox.jsx");
/* harmony import */ var _GeneralAdminViews_InputImage_jsx__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @GeneralAdminViews/InputImage.jsx */ "./views/includes/InputImage.jsx");
/* harmony import */ var _GeneralAdminViews_InputSelect_jsx__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @GeneralAdminViews/InputSelect.jsx */ "./views/includes/InputSelect.jsx");
/* harmony import */ var _GeneralAdminViews_InputText_jsx__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @GeneralAdminViews/InputText.jsx */ "./views/includes/InputText.jsx");
/* harmony import */ var _GeneralAdminViews_InputTextArea_jsx__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @GeneralAdminViews/InputTextArea.jsx */ "./views/includes/InputTextArea.jsx");





class SettingsGeneral extends window.React.Component {
  render() {
    let pagesOptionsArray = [{
      value: '',
      name: this.props.__("None", 'argus-wordpress-plugin')
    }].concat(this.props.publishedPages);
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("h2", null, this.props.__("General Settings", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("table", {
      className: "form-table"
    }, /*#__PURE__*/React.createElement("tbody", null, /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", null, this.props.__("Announcements", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement(_GeneralAdminViews_InputTextArea_jsx__WEBPACK_IMPORTED_MODULE_4__["default"], {
      name: 'argusDiscordAnnouncementCPT',
      label: this.props.__("Click on the custom post type to start announcing it to Discord channel", 'argus-wordpress-plugin') + ' <code>' + this.props.webhookName + '</code>',
      value: this.props.settingsValues.argusDiscordAnnouncementCPT,
      hidden: true,
      tags: this.props.registeredCPT,
      note: this.props.__("Post type must use <code>transition_post_status</code> hook to trigger announcement.", 'argus-wordpress-plugin'),
      inputTextAreaChange: this.props.inputTextAreaChange,
      inputTextAreaSwitchTag: this.props.inputTextAreaSwitchTag,
      colors: this.props.colors,
      __: this.props.__,
      key: 'argusDiscordAnnouncementCPT' + this.props.key
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", null), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement(_GeneralAdminViews_InputCheckbox_jsx__WEBPACK_IMPORTED_MODULE_0__["default"], {
      name: 'argusDiscordAnnouncementAddEveryone',
      label: this.props.__("Add mention <code>@everyone</code> to the announcement", 'argus-wordpress-plugin'),
      value: this.props.settingsValues.argusDiscordAnnouncementAddEveryone,
      inputCheckboxChange: this.props.inputCheckboxChange,
      colors: this.props.colors,
      __: this.props.__,
      note: this.props.__("Does not work for Woocommerce orders.", 'argus-wordpress-plugin')
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", null), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement(_GeneralAdminViews_InputCheckbox_jsx__WEBPACK_IMPORTED_MODULE_0__["default"], {
      name: 'argusDiscordAnnouncementAddExcerpt',
      label: this.props.__("Add an excerpt to the announcement", 'argus-wordpress-plugin'),
      value: this.props.settingsValues.argusDiscordAnnouncementAddExcerpt,
      inputCheckboxChange: this.props.inputCheckboxChange,
      colors: this.props.colors,
      __: this.props.__,
      note: this.props.__("Does not work for Woocommerce orders.", 'argus-wordpress-plugin')
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", null), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement(_GeneralAdminViews_InputCheckbox_jsx__WEBPACK_IMPORTED_MODULE_0__["default"], {
      name: 'argusDiscordAnnouncementAddDate',
      label: this.props.__("Add date to the announcement", 'argus-wordpress-plugin'),
      value: this.props.settingsValues.argusDiscordAnnouncementAddDate,
      inputCheckboxChange: this.props.inputCheckboxChange,
      colors: this.props.colors,
      __: this.props.__,
      note: this.props.__("Only <code>The Events Calendar</code> and <code>Modern Events Calendar</code> plugins are supported. Does not work for Woocommerce orders.", 'argus-wordpress-plugin')
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", null), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement(_GeneralAdminViews_InputCheckbox_jsx__WEBPACK_IMPORTED_MODULE_0__["default"], {
      name: 'argusDiscordAnnouncementUpdates',
      label: this.props.__("Send the announcement for post type updates", 'argus-wordpress-plugin'),
      value: this.props.settingsValues.argusDiscordAnnouncementUpdates,
      inputCheckboxChange: this.props.inputCheckboxChange,
      colors: this.props.colors,
      __: this.props.__,
      note: this.props.__("Does not work for Woocommerce orders.", 'argus-wordpress-plugin')
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", null, this.props.__("Account Pages", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement(_GeneralAdminViews_InputSelect_jsx__WEBPACK_IMPORTED_MODULE_2__["default"], {
      name: 'argusDiscordWoocommerceAccountPage',
      value: this.props.settingsValues.argusDiscordWoocommerceAccountPage,
      options: pagesOptionsArray,
      colors: this.props.colors,
      __: this.props.__,
      label: this.props.__("Select a page to appear in the Woocommerce account:", 'argus-wordpress-plugin'),
      note: this.props.__("If tab is not working you need to go to", 'argus-wordpress-plugin') + ' <a href=\'' + this.props.optionsPermalinkURL + '\' target=\'_blank\'>' + this.props.__("these", 'argus-wordpress-plugin') + '</a> ' + this.props.__("settings and just push save button.", 'argus-wordpress-plugin'),
      inputSelectChange: this.props.inputSelectChange
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", null), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement(_GeneralAdminViews_InputSelect_jsx__WEBPACK_IMPORTED_MODULE_2__["default"], {
      name: 'argusDiscordUltimateMemberAccountPage',
      value: this.props.settingsValues.argusDiscordUltimateMemberAccountPage,
      options: pagesOptionsArray,
      colors: this.props.colors,
      __: this.props.__,
      label: this.props.__("Select a page to appear in the Ultimate Member account:", 'argus-wordpress-plugin'),
      note: this.props.__("If tab is not working you need to go to", 'argus-wordpress-plugin') + ' <a href=\'' + this.props.optionsPermalinkURL + '\' target=\'_blank\'>' + this.props.__("these", 'argus-wordpress-plugin') + '</a> ' + this.props.__("settings and just push save button.", 'argus-wordpress-plugin'),
      inputSelectChange: this.props.inputSelectChange
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", null), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement(_GeneralAdminViews_InputText_jsx__WEBPACK_IMPORTED_MODULE_3__["default"], {
      name: 'argusDiscordUltimateMemberAccountPageIcon',
      label: this.props.__("Ultimate Member account tab icon:", 'argus-wordpress-plugin'),
      value: this.props.settingsValues.argusDiscordUltimateMemberAccountPageIcon,
      note: this.props.ultimateMemberIconsNote,
      colors: this.props.colors,
      __: this.props.__,
      inputTextChange: this.props.inputTextChange
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", null), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement(_GeneralAdminViews_InputSelect_jsx__WEBPACK_IMPORTED_MODULE_2__["default"], {
      name: 'argusDiscordMemberPressAccountPage',
      value: this.props.settingsValues.argusDiscordMemberPressAccountPage,
      options: pagesOptionsArray,
      colors: this.props.colors,
      __: this.props.__,
      label: this.props.__("Select a page to appear in the Memberpress account:", 'argus-wordpress-plugin'),
      note: this.props.__("If tab is not working you need to go to", 'argus-wordpress-plugin') + ' <a href=\'' + this.props.optionsPermalinkURL + '\' target=\'_blank\'>' + this.props.__("these", 'argus-wordpress-plugin') + '</a> ' + this.props.__("settings and just push save button.", 'argus-wordpress-plugin'),
      inputSelectChange: this.props.inputSelectChange
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", null), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement(_GeneralAdminViews_InputSelect_jsx__WEBPACK_IMPORTED_MODULE_2__["default"], {
      name: 'argusDiscordBuddypressAccountPage',
      value: this.props.settingsValues.argusDiscordBuddypressAccountPage,
      options: pagesOptionsArray,
      colors: this.props.colors,
      __: this.props.__,
      label: this.props.__("Select page to appear as tab in BuddyPress account:", 'argus-wordpress-plugin'),
      note: this.props.__("If tab is not working you need to go to", 'argus-wordpress-plugin') + ' <a href=\'' + this.props.optionsPermalinkURL + '\' target=\'_blank\'>' + this.props.__("these", 'argus-wordpress-plugin') + '</a> ' + this.props.__("settings and just push save button.", 'argus-wordpress-plugin'),
      inputSelectChange: this.props.inputSelectChange
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", null, this.props.__("Avatars", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement(_GeneralAdminViews_InputCheckbox_jsx__WEBPACK_IMPORTED_MODULE_0__["default"], {
      name: 'argusDiscordReplaceWPAvatars',
      label: this.props.__("Replace WordPress avatars with Discord avatars", 'argus-wordpress-plugin'),
      value: this.props.settingsValues.argusDiscordReplaceWPAvatars,
      colors: this.props.colors,
      __: this.props.__,
      inputCheckboxChange: this.props.inputCheckboxChange
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", null), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement(_GeneralAdminViews_InputCheckbox_jsx__WEBPACK_IMPORTED_MODULE_0__["default"], {
      name: 'argusDiscordReplaceBuddypressAvatars',
      label: this.props.__("Replace BuddyPress avatars with Discord avatars", 'argus-wordpress-plugin'),
      value: this.props.settingsValues.argusDiscordReplaceBuddypressAvatars,
      colors: this.props.colors,
      __: this.props.__,
      inputCheckboxChange: this.props.inputCheckboxChange
    }))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", null), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement(_GeneralAdminViews_InputImage_jsx__WEBPACK_IMPORTED_MODULE_1__["default"], {
      name: 'argusDiscordDefaultAvatar',
      label: this.props.__("Select a default image for users without an avatar:", 'argus-wordpress-plugin'),
      value: this.props.settingsValues.argusDiscordDefaultAvatar,
      url: this.props.settingsValues.argusDiscordDefaultAvatarURL,
      colors: this.props.colors,
      __: this.props.__,
      inputImageOpenMediaSelector: this.props.inputImageOpenMediaSelector
    }))))));
  }
}

/***/ }),

/***/ "./components/discord/views/includes/HeaderRow.jsx":
/*!*********************************************************!*\
  !*** ./components/discord/views/includes/HeaderRow.jsx ***!
  \*********************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": function() { return /* binding */ HeaderRow; }
/* harmony export */ });
class HeaderRow extends window.React.Component {
  render() {
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
      className: "argus-connection-bar"
    }, /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("span", null, this.props.accountUsername), /*#__PURE__*/React.createElement("img", {
      src: this.props.accountAvatar,
      alt: this.props.accountUsername,
      width: "64",
      height: "64"
    })), /*#__PURE__*/React.createElement("div", {
      className: "argus-connection-bar__controls"
    }, /*#__PURE__*/React.createElement("a", {
      className: "button",
      onClick: () => this.props.disconnectFromDiscordAPI()
    }, /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-update"
    }), this.props.__("Disconnect", 'argus-wordpress-plugin'))), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("img", {
      src: this.props.appAvatar,
      alt: this.props.appName,
      width: "64",
      height: "64"
    }), /*#__PURE__*/React.createElement("a", {
      href: 'https://discord.com/developers/applications/' + this.props.appID + '/bot',
      target: "_blank"
    }, this.props.appName))));
  }
}

/***/ }),

/***/ "./components/discord/views/includes/InputRoles.jsx":
/*!**********************************************************!*\
  !*** ./components/discord/views/includes/InputRoles.jsx ***!
  \**********************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": function() { return /* binding */ InputRoles; }
/* harmony export */ });
class InputRoles extends window.React.Component {
  render() {
    let wpRoleOptionsAvailable = false;
    if (this.props.wpRoles.length) this.props.wpRoles.map(item => {
      let found = false;
      this.props.allRoleBindings.map(item_binding => {
        if (item_binding.wp === item.value) found = true;
      });
      if (!found) wpRoleOptionsAvailable = true;
    });
    let discordRoleOptionsAvailable = false;
    if (this.props.discordRoles.length) this.props.discordRoles.map(item => {
      let found = false;
      this.props.allRoleBindings.map(item_binding => {
        if (item_binding.discord === item.value) found = true;
      });
      if (!found) discordRoleOptionsAvailable = true;
    });
    let allRolesCollected = false;
    if (wpRoleOptionsAvailable && discordRoleOptionsAvailable) allRolesCollected = true;
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement("label", null, this.props.__("Roles synchronization is a process that has some nuances.", 'argus-wordpress-plugin'), ' ', /*#__PURE__*/React.createElement("a", {
      href: "#",
      onClick: () => argusOpenHelpTabSection('tab-link-argus-help-tab-roles-synchronization')
    }, this.props.__("Click here to know more.", 'argus-wordpress-plugin')))), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("p", {
      className: 'argus-admin-sync-roles'
    }, /*#__PURE__*/React.createElement("table", null, /*#__PURE__*/React.createElement("tbody", null, this.props.allRoleBindings.map(item => {
      return /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("td", null, this.unEscape(item.wpName)), /*#__PURE__*/React.createElement("td", null, item.direction === 1 && /*#__PURE__*/React.createElement("span", {
        className: "dashicons dashicons-arrow-right-alt"
      }), item.direction === 2 && /*#__PURE__*/React.createElement("span", {
        className: "dashicons dashicons-arrow-left-alt"
      })), /*#__PURE__*/React.createElement("td", null, this.unEscape(item.discordName)), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement("span", {
        onClick: () => this.props.inputRolesRemove(item.direction, item.wp, item.discord),
        className: "button"
      }, this.props.__("Unbind", 'argus-wordpress-plugin'))));
    })), /*#__PURE__*/React.createElement("tfoot", null, !wpRoleOptionsAvailable && /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("td", {
      colSpan: "4"
    }, this.props.__("No WordPress roles are available for binding", 'argus-wordpress-plugin'))), !discordRoleOptionsAvailable && /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("td", {
      colSpan: "4"
    }, this.props.__("No Discord roles are available for binding", 'argus-wordpress-plugin'))), allRolesCollected && /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement("select", {
      onChange: () => this.props.inputRolesSelectChange(event, 'wp')
    }, this.props.wpRoles.map(item => {
      let found = false;
      this.props.allRoleBindings.map(item_binding => {
        if (item_binding.wp === item.value) found = true;
      });
      if (!found) {
        let selected = String(item.value) === String(this.props.newRoleBinding.wp) ? 'selected' : '';
        return /*#__PURE__*/React.createElement("option", {
          value: item.value,
          selected: selected
        }, this.unEscape(item.name));
      }
    }))), /*#__PURE__*/React.createElement("td", null, this.props.newRoleBinding.direction === 1 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-arrow-right-alt"
    }), this.props.newRoleBinding.direction === 2 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-arrow-left-alt"
    })), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement("select", {
      onChange: () => this.props.inputRolesSelectChange(event, 'discord')
    }, this.props.discordRoles.map(item => {
      let found = false;
      this.props.allRoleBindings.map(item_binding => {
        if (item_binding.discord === item.value) found = true;
      });
      if (!found) {
        let selected = String(item.value) === String(this.props.newRoleBinding.discord) ? 'selected' : '';
        return /*#__PURE__*/React.createElement("option", {
          value: item.value,
          selected: selected
        }, this.unEscape(item.name));
      }
    }))), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement("span", {
      onClick: () => this.props.inputRolesAdd(),
      className: "button button-primary"
    }, this.props.__("Bind", 'argus-wordpress-plugin')))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("td", null), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement("span", {
      onClick: () => this.props.inputSyncReverseDirection(),
      id: "argus-role-sync-form-direction-button",
      className: "button"
    }, this.props.__("Reverse", 'argus-wordpress-plugin'))), /*#__PURE__*/React.createElement("td", null), /*#__PURE__*/React.createElement("td", null)))))), this.props.note && /*#__PURE__*/React.createElement("p", {
      className: "description",
      dangerouslySetInnerHTML: {
        __html: this.props.note
      }
    }));
  }
  unEscape(htmlStr) {
    return htmlStr.replace(/&lt;/g, "<").replace(/&gt;/g, ">").replace(/&quot;/g, "\"").replace(/&#39;/g, "\'").replace(/&amp;/g, "&");
  }
}

/***/ }),

/***/ "./controllers/AdminPanelAbstraction.jsx":
/*!***********************************************!*\
  !*** ./controllers/AdminPanelAbstraction.jsx ***!
  \***********************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": function() { return /* binding */ AdminPanelAbstraction; }
/* harmony export */ });
class AdminPanelAbstraction extends window.React.Component {
  __(string) {
    if (typeof this.state.translations !== 'undefined' && this.state.translations && typeof this.state.translations.locale_data !== 'undefined' && typeof this.state.translations.locale_data['argus-wordpress-plugin'] !== 'undefined' && typeof this.state.translations.locale_data['argus-wordpress-plugin'][string] !== 'undefined' && typeof this.state.translations.locale_data['argus-wordpress-plugin'][string][0] !== 'undefined') {
      return this.state.translations.locale_data['argus-wordpress-plugin'][string][0];
    }
    return string;
  }
  switchTab(newTabID) {
    let tabs = [];
    for (let tab of this.state.tabs) {
      if (tab.id === newTabID) tab.active = true;else tab.active = false;
      tabs.push(tab);
    }
    this.setState(previousState => {
      previousState.tabs = tabs;
      previousState.activeTab = newTabID;
      return previousState;
    });
  }
  inputTextChange(event) {
    this.setState(previousState => {
      return previousState.settingsValues[event.target.name] = event.target.value;
    }, () => {
      this.saveOption(event.target.name, this.state.settingsValues[event.target.name]);
    });
  }
  inputRadioChange(event) {
    this.setState(previousState => {
      return previousState.settingsValues[event.target.name] = event.target.value;
    }, () => {
      this.saveOption(event.target.name, this.state.settingsValues[event.target.name]);
    });
  }
  inputSelectChange(event) {
    this.setState(previousState => {
      return previousState.settingsValues[event.target.name] = event.target.value;
    }, () => {
      this.saveOption(event.target.name, this.state.settingsValues[event.target.name]);
    });
  }
  inputCheckboxChange(event) {
    this.setState(previousState => {
      return previousState.settingsValues[event.target.name] = event.target.checked ? 1 : 0;
    }, () => {
      this.saveOption(event.target.name, this.state.settingsValues[event.target.name]);
    });
  }
  inputTextAreaChange(event) {
    this.setState(previousState => {
      return previousState.settingsValues[event.target.name] = event.target.value;
    }, () => {
      this.saveOption(event.target.name, this.state.settingsValues[event.target.name], ['tags_list']);
    });
  }
  inputTextAreaSwitchTag(name, tag_value, active) {
    this.setState(previousState => {
      let currentValues = previousState.settingsValues[name].split(',').filter(i => i);
      if (active) {
        let newValues = [];
        currentValues.map(val => {
          if (val.toString() !== tag_value.toString()) newValues.push(val);
        });
        previousState.settingsValues[name] = newValues.join(',');
      } else {
        currentValues.push(tag_value);
        previousState.settingsValues[name] = currentValues.join(',');
      }
      previousState.stateUpdateHash = Date.now();
      return previousState;
    }, () => {
      this.saveOption(name, this.state.settingsValues[name], ['tags_list']);
    });
  }
  inputRepeaterDelete(name, id) {
    this.setState(previousState => {
      let currentValues = previousState.settingsValues[name];
      let newValues = [];
      currentValues.map(val => {
        if (val.id.toString() !== id.toString()) newValues.push(val);
      });
      return previousState.settingsValues[name] = newValues;
    }, () => {
      this.saveRepeater(name, this.state.settingsValues[name]);
    });
  }
  inputRepeaterUpdate(event, id, name) {
    this.setState(previousState => {
      let currentValues = previousState.settingsValues[name];
      currentValues.map((val, index) => {
        if (val.id.toString() === id.toString()) {
          let addEmpty = false;
          if (!val.name && !val.url) addEmpty = true;
          currentValues[index][event.target.name] = event.target.value;
          if (addEmpty) {
            currentValues.push({
              id: Date.now(),
              name: '',
              value: ''
            });
          }
        }
      });
      return previousState.settingsValues[name] = currentValues;
    }, () => {
      this.saveRepeater(name, this.state.settingsValues[name]);
    });
  }
  saveRepeater(name, data) {
    let newData = {};
    data.map(val => {
      if (val.name || val.url) {
        newData[val.id] = {};
        newData[val.id]['name'] = val.name;
        newData[val.id]['url'] = val.url;
      }
    });
    this.saveOption(name, JSON.stringify(newData), ['strip_slashes']);
  }
  inputImageOpenMediaSelector(imageInputName) {
    let imageSelector = window.wp.media({
      multiple: false,
      library: {
        type: 'image'
      }
    });
    var reactObj = this;
    imageSelector.on('close', () => {
      let selection = imageSelector.state().get('selection');
      let galleryIds = [];
      let selectionIndex = 0;
      let selectionURL = '';
      selection.each(attachment => {
        galleryIds[selectionIndex] = attachment['id'];
        selectionURL = attachment.attributes.url;
        selectionIndex++;
      });
      let ids = galleryIds.join(',');
      if (ids) {
        reactObj.setState(previousState => {
          previousState.settingsValues.argusDiscordDefaultAvatar = ids;
          previousState.settingsValues.argusDiscordDefaultAvatarURL = selectionURL;
          return previousState;
        });
        reactObj.saveOption(imageInputName, ids);
      }
    });
    imageSelector.open();
  }
  saveOption(optionKey, optionValue) {
    let optionFilter = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : [];
    if (this.state.saveActive) {
      this.state.saveStack[optionKey] = {
        optionKey: optionKey,
        optionValue: optionValue,
        optionFilter: optionFilter
      };
    } else {
      this.setState(previousState => {
        return previousState.saveActive = true;
      });
      let data = {
        action: 'argusSaveOption',
        optionKey: optionKey,
        optionValue: optionValue,
        optionFilter: optionFilter
      };
      var reactObj = this;
      jQuery.post(ajaxurl, data, response => {
        reactObj.setState(previousState => {
          return previousState.saveActive = false;
        });
        if ('success' in response && response.success !== true) {
          console.dir(response);
        }
        let objKeys = Object.keys(reactObj.state.saveStack);
        if (objKeys.length) {
          reactObj.saveOption(reactObj.state.saveStack[objKeys[0]].optionKey, reactObj.state.saveStack[objKeys[0]].optionValue, reactObj.state.saveStack[objKeys[0]].optionFilter);
          delete reactObj.state.saveStack[objKeys[0]];
        }
      });
    }
  }
  startLongProcess(title, ajaxHook) {
    this.setState(previousState => {
      previousState.settingsTitle = title;
      previousState.longProcess = true;
      return previousState;
    });
    var reactObj = this;
    jQuery.post(ajaxurl, {
      action: ajaxHook
    }, response => {
      if (response.success === true) {
        reactObj.setState(previousState => {
          previousState.longProcessTasks = previousState.longProcessTasks.concat(response.data);
          previousState.longProcessTasks[0].state = 1;
          previousState.longProcessTasks[0].text = reactObj.__("List of actions received", 'argus-wordpress-plugin');
          return previousState;
        });
        reactObj.countLongProcessPercent(0);
        reactObj.runNextLongProcess();
      } else {
        console.dir(response);
        if (typeof response.data === 'string') {
          reactObj.setState(previousState => {
            previousState.longProcessTasks[0].state = 2;
            previousState.longProcessTasks[0].text = response.data;
            return previousState;
          });
        }
      }
    });
  }
  runNextLongProcess() {
    for (let taskKey = 0; taskKey < this.state.longProcessTasks.length; taskKey++) {
      if (this.state.longProcessTasks[taskKey].state === 4) {
        this.setState(previousState => {
          return previousState.longProcessTasks[taskKey].state = 3;
        });
        var reactObj = this;
        jQuery.post(ajaxurl, this.state.longProcessTasks[taskKey].data, response => {
          if ('success' in response) {
            if (typeof reactObj.state.longProcessTasks[taskKey] === 'object') {
              if (response.success === true) {
                reactObj.setState(previousState => {
                  previousState.longProcessTasks[taskKey].state = 1;
                  previousState.longProcessTasks[taskKey].text = response.data.message;
                  return previousState;
                });
                if (typeof response.data.state !== 'undefined') {
                  reactObj.setState(previousState => {
                    for (const [key, value] of Object.entries(response.data.state)) {
                      previousState[key] = value;
                    }
                    return previousState;
                  });
                }
              } else {
                console.dir(response);
                reactObj.setState(previousState => {
                  previousState.longProcessTasks[taskKey].state = 2;
                  previousState.longProcessTasks[taskKey].text = response.data.message;
                  return previousState;
                });
              }
            }
          } else {
            console.dir(response);
            reactObj.setState(previousState => {
              previousState.longProcessTasks[taskKey].state = 2;
              previousState.longProcessTasks[taskKey].text = reactObj.__("Error on the server", 'argus-wordpress-plugin');
              return previousState;
            });
          }
          if (reactObj.state.longProcess) {
            reactObj.countLongProcessPercent(taskKey);
            if (reactObj.state.initUpdate && reactObj.state.progressPercent === '100%') {
              reactObj.stopLongProcess();
            } else {
              reactObj.runNextLongProcess();
            }
          }
        });
        break;
      }
    }
  }
  countLongProcessPercent(position) {
    position = position + 1;
    this.setState(previousState => {
      let percent = Math.ceil(100 / previousState.longProcessTasks.length * position);
      if (percent > 100) percent = 100;
      previousState.progressPercent = String(percent) + '%';
      return previousState;
    });
  }
  stopLongProcess() {
    this.setState(previousState => {
      previousState.settingsTitle = previousState.defaultTitle;
      previousState.longProcess = false;
      previousState.progressPercent = '0%';
      previousState.longProcessTasks[0].state = 3;
      previousState.longProcessTasks[0].text = this.__("Building list of actions...", 'argus-wordpress-plugin');
      previousState.longProcessTasks = previousState.longProcessTasks.slice(0, 1);
      return previousState;
    });
  }
  restartLongProcess() {
    window.scrollTo({
      top: 0,
      behavior: 'smooth'
    });
    this.setState(previousState => {
      previousState.longProcessTasks.map(item => item.state = 3);
      previousState.longProcessTasks[0].state = 1;
      return previousState;
    }, () => {
      if (this.state.progressPercent === '100%') this.runNextLongProcess();
    });
  }
  runSingleProcess(ajaxHook, processKey) {
    this.setState(previousState => {
      return previousState.singleProcessStatus[processKey] = 3;
    });
    var reactObj = this;
    jQuery.post(ajaxurl, {
      action: ajaxHook
    }, response => {
      if ('success' in response) {
        if (response.success === true) {
          reactObj.setState(previousState => {
            return previousState.singleProcessStatus[processKey] = 1;
          });
        } else {
          reactObj.setState(previousState => {
            return previousState.singleProcessStatus[processKey] = 2;
          });
          if ('data' in response && 'message' in response.data) alert(response.data.message);
          console.dir(response);
        }
      }
      setTimeout(() => {
        reactObj.setState(previousState => {
          return previousState.singleProcessStatus[processKey] = 4;
        });
      }, 2000);
    });
  }
  updateLogs() {
    let component = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 0;
    let data = {
      action: 'argusGetLogs',
      component: component
    };
    var reactObj = this;
    jQuery.post(ajaxurl, data, response => {
      if (response.success === true) {
        reactObj.setState(previousState => {
          return previousState.log = response.data;
        });
      } else {
        console.dir(response);
        reactObj.setState(previousState => {
          return previousState.log = {
            level: 10,
            timestamp: false,
            text: this.__("No messages in the log.", 'argus-wordpress-plugin')
          };
        });
      }
    });
  }
}

/***/ }),

/***/ "./views/includes/Footer.jsx":
/*!***********************************!*\
  !*** ./views/includes/Footer.jsx ***!
  \***********************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": function() { return /* binding */ Footer; }
/* harmony export */ });
class Footer extends window.React.Component {
  render() {
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("hr", null), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement("b", null, this.props.__("Having complication with plugin behavior or need an additional functionality? You can contact me:", 'argus-wordpress-plugin'), ' ', /*#__PURE__*/React.createElement("a", {
      href: 'mailto:' + this.props.supportEmail + '?subject=I need help with my Discord plugin&body=Hello! Can you help me with my Discord plugin'
    }, this.props.supportEmail), ' ', this.props.__("or read", 'argus-wordpress-plugin'), ' ', /*#__PURE__*/React.createElement("a", {
      href: this.props.documentationLink,
      target: "_blank"
    }, this.props.__("Documentation", 'argus-wordpress-plugin')))));
  }
}

/***/ }),

/***/ "./views/includes/HeaderBottom.jsx":
/*!*****************************************!*\
  !*** ./views/includes/HeaderBottom.jsx ***!
  \*****************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": function() { return /* binding */ HeaderBottom; }
/* harmony export */ });
class HeaderBottom extends window.React.Component {
  render() {
    return /*#__PURE__*/React.createElement(React.Fragment, null, this.props.tabs.length && /*#__PURE__*/React.createElement("nav", {
      className: "argus-tabs"
    }, this.props.tabs.map(item => {
      if (item.display) {
        return /*#__PURE__*/React.createElement("span", {
          className: 'argus-tabs__tab ' + (item.active && 'active'),
          style: {
            'box-shadow': item.active && 'inset 0 -3px ' + this.props.colors.accent
          },
          onClick: () => this.props.switchTab(item.id)
        }, item.name);
      }
    })));
  }
}

/***/ }),

/***/ "./views/includes/HeaderTop.jsx":
/*!**************************************!*\
  !*** ./views/includes/HeaderTop.jsx ***!
  \**************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": function() { return /* binding */ HeaderTop; }
/* harmony export */ });
class HeaderTop extends window.React.Component {
  render() {
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
      className: "argus-header__title"
    }, /*#__PURE__*/React.createElement("h1", null, this.props.title)), this.props.supportExpireDate && /*#__PURE__*/React.createElement("div", {
      className: "argus-support",
      dangerouslySetInnerHTML: {
        __html: this.props.supportExpireDate
      }
    }));
  }
}

/***/ }),

/***/ "./views/includes/InputCheckbox.jsx":
/*!******************************************!*\
  !*** ./views/includes/InputCheckbox.jsx ***!
  \******************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": function() { return /* binding */ InputCheckbox; }
/* harmony export */ });
class InputCheckbox extends window.React.Component {
  render() {
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("label", null, /*#__PURE__*/React.createElement("input", {
      type: "checkbox",
      defaultChecked: this.props.value,
      name: this.props.name,
      onChange: () => this.props.inputCheckboxChange(event)
    }), /*#__PURE__*/React.createElement("span", {
      dangerouslySetInnerHTML: {
        __html: this.props.label
      }
    })), this.props.note && /*#__PURE__*/React.createElement("p", {
      className: "description",
      dangerouslySetInnerHTML: {
        __html: this.props.note
      }
    }));
  }
}

/***/ }),

/***/ "./views/includes/InputImage.jsx":
/*!***************************************!*\
  !*** ./views/includes/InputImage.jsx ***!
  \***************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": function() { return /* binding */ InputImage; }
/* harmony export */ });
class InputImage extends window.React.Component {
  render() {
    return /*#__PURE__*/React.createElement(React.Fragment, null, this.props.label && /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement("label", {
      htmlFor: this.props.name,
      dangerouslySetInnerHTML: {
        __html: this.props.label
      }
    })), /*#__PURE__*/React.createElement("p", {
      className: "argus-image-selection-controls"
    }, /*#__PURE__*/React.createElement("span", null, /*#__PURE__*/React.createElement("img", {
      src: this.props.url,
      width: "64"
    })), /*#__PURE__*/React.createElement("button", {
      type: "button",
      className: "button",
      onClick: () => this.props.inputImageOpenMediaSelector(this.props.name)
    }, this.props.__("Change Image", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("input", {
      name: this.props.name,
      type: "text",
      spellCheck: "false",
      style: {
        display: 'none'
      },
      value: this.props.value
    })), this.props.note && /*#__PURE__*/React.createElement("p", {
      className: "description",
      dangerouslySetInnerHTML: {
        __html: this.props.note
      }
    }));
  }
}

/***/ }),

/***/ "./views/includes/InputRadio.jsx":
/*!***************************************!*\
  !*** ./views/includes/InputRadio.jsx ***!
  \***************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": function() { return /* binding */ InputRadio; }
/* harmony export */ });
class InputRadio extends window.React.Component {
  render() {
    return /*#__PURE__*/React.createElement(React.Fragment, null, this.props.values.map(item => /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement("label", null, /*#__PURE__*/React.createElement("input", {
      type: "radio",
      defaultChecked: item.checked,
      name: this.props.name,
      value: item.value,
      onChange: () => this.props.inputRadioChange(event)
    }), /*#__PURE__*/React.createElement("span", {
      dangerouslySetInnerHTML: {
        __html: item.label
      }
    })))), this.props.note && /*#__PURE__*/React.createElement("p", {
      className: "description",
      dangerouslySetInnerHTML: {
        __html: this.props.note
      }
    }));
  }
}

/***/ }),

/***/ "./views/includes/InputRepeater.jsx":
/*!******************************************!*\
  !*** ./views/includes/InputRepeater.jsx ***!
  \******************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": function() { return /* binding */ InputRepeater; }
/* harmony export */ });
class InputRepeater extends window.React.Component {
  render() {
    return /*#__PURE__*/React.createElement(React.Fragment, null, this.props.label && /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement("label", {
      htmlFor: this.props.name,
      dangerouslySetInnerHTML: {
        __html: this.props.label
      }
    })), /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement("table", {
      className: "argus-repeater-controls"
    }, /*#__PURE__*/React.createElement("tbody", null, this.props.values.map(item => /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement("input", {
      type: "text",
      name: "name",
      value: item.name,
      placeholder: this.props.__("Name", 'argus-wordpress-plugin'),
      onChange: () => this.props.inputRepeaterUpdate(event, item.id, this.props.name)
    })), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement("input", {
      type: "text",
      name: "url",
      value: item.url,
      placeholder: this.props.__("URL", 'argus-wordpress-plugin'),
      className: "regular-text code",
      onChange: () => this.props.inputRepeaterUpdate(event, item.id, this.props.name)
    })), /*#__PURE__*/React.createElement("td", null, (item.name || item.url) && /*#__PURE__*/React.createElement("button", {
      type: "button",
      className: "button",
      onClick: () => this.props.inputRepeaterDelete(this.props.name, item.id)
    }, "Delete"))))))));
  }
}

/***/ }),

/***/ "./views/includes/InputSelect.jsx":
/*!****************************************!*\
  !*** ./views/includes/InputSelect.jsx ***!
  \****************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": function() { return /* binding */ InputSelect; }
/* harmony export */ });
class InputSelect extends window.React.Component {
  render() {
    return /*#__PURE__*/React.createElement(React.Fragment, null, this.props.label && /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement("label", {
      htmlFor: this.props.name,
      dangerouslySetInnerHTML: {
        __html: this.props.label
      }
    })), /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement("select", {
      name: this.props.name,
      onChange: () => this.props.inputSelectChange(event)
    }, this.props.options.map(item => {
      let selected = String(item.value) === String(this.props.value) ? 'selected' : '';
      return /*#__PURE__*/React.createElement("option", {
        value: item.value,
        selected: selected
      }, item.name);
    }))), this.props.note && /*#__PURE__*/React.createElement("p", {
      className: "description",
      dangerouslySetInnerHTML: {
        __html: this.props.note
      }
    }));
  }
}

/***/ }),

/***/ "./views/includes/InputText.jsx":
/*!**************************************!*\
  !*** ./views/includes/InputText.jsx ***!
  \**************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": function() { return /* binding */ InputText; }
/* harmony export */ });
class InputText extends window.React.Component {
  render() {
    return /*#__PURE__*/React.createElement(React.Fragment, null, this.props.label && /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement("label", {
      htmlFor: this.props.name,
      dangerouslySetInnerHTML: {
        __html: this.props.label
      }
    })), /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement("input", {
      type: "text",
      value: this.props.value,
      name: this.props.name,
      className: "regular-text code",
      spellCheck: "false",
      onChange: () => this.props.inputTextChange(event)
    })), this.props.note && /*#__PURE__*/React.createElement("p", {
      className: "description",
      dangerouslySetInnerHTML: {
        __html: this.props.note
      }
    }));
  }
}

/***/ }),

/***/ "./views/includes/InputTextArea.jsx":
/*!******************************************!*\
  !*** ./views/includes/InputTextArea.jsx ***!
  \******************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": function() { return /* binding */ InputTextArea; }
/* harmony export */ });
class InputTextArea extends window.React.Component {
  render() {
    let textAreaStyles = {};
    if (this.props.hidden) textAreaStyles = {
      display: 'none'
    };
    this.currentValues = this.props.value.split(',');
    return /*#__PURE__*/React.createElement(React.Fragment, null, this.props.label && /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement("label", {
      htmlFor: this.props.name,
      dangerouslySetInnerHTML: {
        __html: this.props.label
      }
    })), /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement("textarea", {
      name: this.props.name,
      rows: "3",
      cols: "50",
      className: "large-text code",
      style: textAreaStyles,
      spellCheck: "false",
      onChange: () => this.props.inputTextAreaChange(event)
    }, this.props.value)), this.props.tags.length > 0 && /*#__PURE__*/React.createElement("p", null, this.props.tagsLabel && /*#__PURE__*/React.createElement("span", {
      dangerouslySetInnerHTML: {
        __html: this.props.tagsLabel + ' '
      }
    }), this.props.tags.length === 1 && this.renderTag(this.props.name, this.props.tags[0], this.props.inputTextAreaSwitchTag), this.props.tags.length > 1 && /*#__PURE__*/React.createElement("ul", {
      className: "argus-tags-row"
    }, this.props.tags.map(item => /*#__PURE__*/React.createElement("li", null, this.renderTag(this.props.name, item, this.props.inputTextAreaSwitchTag))))), this.props.note && /*#__PURE__*/React.createElement("p", {
      className: "description",
      dangerouslySetInnerHTML: {
        __html: this.props.note
      }
    }));
  }
  renderTag(name, item, inputTextAreaSwitchTag) {
    let active = false;
    this.currentValues.map(c_value => {
      if (c_value.toString() === item.value.toString()) active = true;
    });
    let classes = 'button button-secondary';
    if (active) classes += ' active';
    return /*#__PURE__*/React.createElement("button", {
      type: "button",
      className: classes,
      onClick: () => inputTextAreaSwitchTag(name, item.value, active)
    }, item.name);
  }
}

/***/ }),

/***/ "./views/includes/Log.jsx":
/*!********************************!*\
  !*** ./views/includes/Log.jsx ***!
  \********************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": function() { return /* binding */ Log; }
/* harmony export */ });
class Log extends window.React.Component {
  render() {
    return /*#__PURE__*/React.createElement(React.Fragment, null, this.props.log.length !== 0 && /*#__PURE__*/React.createElement("div", {
      className: "argus-log"
    }, this.props.log.map(item => {
      return /*#__PURE__*/React.createElement("div", {
        className: 'argus-log__item argus-log__item-level-' + item.level
      }, /*#__PURE__*/React.createElement("div", {
        className: "argus-log__item-meta"
      }, item.level === 10 && /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("span", {
        className: "dashicons dashicons-info"
      }), /*#__PURE__*/React.createElement("span", {
        className: "argus-log__item-level-text"
      }, this.props.__("Information", 'argus-wordpress-plugin'))), item.level === 20 && /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("span", {
        className: "dashicons dashicons-warning"
      }), /*#__PURE__*/React.createElement("span", {
        className: "argus-log__item-level-text"
      }, this.props.__("Warning", 'argus-wordpress-plugin'))), item.level === 30 && /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("span", {
        className: "dashicons dashicons-dismiss"
      }), /*#__PURE__*/React.createElement("span", {
        className: "argus-log__item-level-text"
      }, this.props.__("Error", 'argus-wordpress-plugin'))), item.level === 40 && /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("span", {
        className: "dashicons dashicons-bell"
      }), /*#__PURE__*/React.createElement("span", {
        className: "argus-log__item-level-text"
      }, this.props.__("Fatal Error", 'argus-wordpress-plugin'))), item.timestamp && /*#__PURE__*/React.createElement("span", {
        className: "argus-log__item-time"
      }, item.timestamp)), /*#__PURE__*/React.createElement("div", {
        className: "argus-log__item-text",
        dangerouslySetInnerHTML: {
          __html: item.text
        }
      }));
    })), /*#__PURE__*/React.createElement("p", null, this.props.__("Messages older than one week are removed automatically.", 'argus-wordpress-plugin')));
  }
}

/***/ }),

/***/ "./views/includes/Progressbar.jsx":
/*!****************************************!*\
  !*** ./views/includes/Progressbar.jsx ***!
  \****************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": function() { return /* binding */ Progressbar; }
/* harmony export */ });
class Progressbar extends window.React.Component {
  render() {
    let percent = '';
    if (parseInt(this.props.progressPercent) > 4) percent = this.props.progressPercent;
    return /*#__PURE__*/React.createElement("div", {
      className: "argus-progressbar"
    }, /*#__PURE__*/React.createElement("div", {
      className: "argus-progressbar-progress",
      style: {
        'background': this.props.colors.accent,
        'color': this.props.colors.text,
        'width': this.props.progressPercent
      }
    }, percent));
  }
}

/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId](module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/define property getters */
/******/ 	!function() {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = function(exports, definition) {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	!function() {
/******/ 		__webpack_require__.o = function(obj, prop) { return Object.prototype.hasOwnProperty.call(obj, prop); }
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	!function() {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = function(exports) {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	}();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// This entry need to be wrapped in an IIFE because it need to be isolated against other modules in the chunk.
!function() {
/*!**********************************************************!*\
  !*** ./components/discord/controllers/AdminSettings.jsx ***!
  \**********************************************************/
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _GeneralAdminControllers_AdminPanelAbstraction_jsx__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @GeneralAdminControllers/AdminPanelAbstraction.jsx */ "./controllers/AdminPanelAbstraction.jsx");
/* harmony import */ var _GeneralAdminViews_Footer_jsx__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @GeneralAdminViews/Footer.jsx */ "./views/includes/Footer.jsx");
/* harmony import */ var _GeneralAdminViews_HeaderTop_jsx__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @GeneralAdminViews/HeaderTop.jsx */ "./views/includes/HeaderTop.jsx");
/* harmony import */ var _views_includes_HeaderRow_jsx__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../views/includes/HeaderRow.jsx */ "./components/discord/views/includes/HeaderRow.jsx");
/* harmony import */ var _GeneralAdminViews_Progressbar_jsx__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @GeneralAdminViews/Progressbar.jsx */ "./views/includes/Progressbar.jsx");
/* harmony import */ var _GeneralAdminViews_HeaderBottom_jsx__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @GeneralAdminViews/HeaderBottom.jsx */ "./views/includes/HeaderBottom.jsx");
/* harmony import */ var _GeneralAdminViews_Log_jsx__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @GeneralAdminViews/Log.jsx */ "./views/includes/Log.jsx");
/* harmony import */ var _views_Authorization_jsx__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../views/Authorization.jsx */ "./components/discord/views/Authorization.jsx");
/* harmony import */ var _views_DataSynchronization_jsx__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../views/DataSynchronization.jsx */ "./components/discord/views/DataSynchronization.jsx");
/* harmony import */ var _views_LongProcess_jsx__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../views/LongProcess.jsx */ "./components/discord/views/LongProcess.jsx");
/* harmony import */ var _views_SettingsGeneral_jsx__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ../views/SettingsGeneral.jsx */ "./components/discord/views/SettingsGeneral.jsx");











class AdminSettings extends _GeneralAdminControllers_AdminPanelAbstraction_jsx__WEBPACK_IMPORTED_MODULE_0__["default"] {
  constructor() {
    super();
    this.state = argusStateValues;
    this.__ = this.__.bind(this);
    this.state.stateUpdateHash = Date.now();
    this.state.activeTab = 1;
    this.state.saveActive = false;
    this.state.longProcess = false;
    this.state.progressPercent = '0%';
    this.state.defaultTitle = this.__("Discord Settings", 'argus-wordpress-plugin');
    this.state.settingsTitle = this.state.defaultTitle;
    this.state.saveStack = {};
    this.state.newRoleBinding = {};
    this.state.log = [];
    this.state.longProcessTasks = [{
      state: 3,
      text: this.__("Building list of actions...", 'argus-wordpress-plugin'),
      data: {}
    }];
    this.state.singleProcessStatus = {
      profile: 4,
      application: 4,
      guild: 4,
      members: 4,
      roles: 4,
      allRoles: 4,
      channels: 4,
      invites: 4,
      messages: 4,
      pinned: 4
    };
    this.state.tabs = [{
      id: 1,
      name: this.__("General", 'argus-wordpress-plugin'),
      display: true,
      active: true
    }, {
      id: 2,
      name: this.__("Authorization", 'argus-wordpress-plugin'),
      display: true,
      active: false
    }, {
      id: 3,
      name: this.__("Synchronization", 'argus-wordpress-plugin'),
      display: true,
      active: false
    }, {
      id: 4,
      name: this.__("API Logs", 'argus-wordpress-plugin'),
      display: true,
      active: false
    }];
    this.switchTab = this.switchTab.bind(this);
    this.saveOption = this.saveOption.bind(this);
    this.inputTextChange = this.inputTextChange.bind(this);
    this.inputRadioChange = this.inputRadioChange.bind(this);
    this.inputSelectChange = this.inputSelectChange.bind(this);
    this.inputRepeaterDelete = this.inputRepeaterDelete.bind(this);
    this.inputTextAreaChange = this.inputTextAreaChange.bind(this);
    this.inputCheckboxChange = this.inputCheckboxChange.bind(this);
    this.inputRepeaterUpdate = this.inputRepeaterUpdate.bind(this);
    this.inputTextAreaSwitchTag = this.inputTextAreaSwitchTag.bind(this);
    this.inputImageOpenMediaSelector = this.inputImageOpenMediaSelector.bind(this);
    this.inputSyncReverseDirection = this.inputSyncReverseDirection.bind(this);
    this.inputRolesSelectChange = this.inputRolesSelectChange.bind(this);
    this.defineNewRoleBinding = this.defineNewRoleBinding.bind(this);
    this.inputRolesAdd = this.inputRolesAdd.bind(this);
    this.inputRolesRemove = this.inputRolesRemove.bind(this);
    this.inputRolesAjax = this.inputRolesAjax.bind(this);
    this.stopLongProcess = this.stopLongProcess.bind(this);
    this.startLongProcess = this.startLongProcess.bind(this);
    this.runNextLongProcess = this.runNextLongProcess.bind(this);
    this.countLongProcessPercent = this.countLongProcessPercent.bind(this);
    this.restartLongProcess = this.restartLongProcess.bind(this);
    this.disconnectFromDiscordAPI = this.disconnectFromDiscordAPI.bind(this);
    this.runSingleProcess = this.runSingleProcess.bind(this);
    this.updateLogs = this.updateLogs.bind(this);
  }
  componentWillMount() {
    this.defineNewRoleBinding();
    if (this.state.initUpdate) {
      this.startLongProcess(this.__("Updating All Data", 'argus-wordpress-plugin'), 'argusDiscordAllDiscordDataUpdateList');
    }
  }
  componentDidMount() {
    this.updateLogs(1);
  }
  render() {
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
      id: "argus-header"
    }, /*#__PURE__*/React.createElement(_GeneralAdminViews_HeaderTop_jsx__WEBPACK_IMPORTED_MODULE_2__["default"], {
      key: 'HeaderTop' + this.state.stateUpdateHash,
      title: this.state.settingsTitle,
      supportExpireDate: this.state.supportExpireDate
    }), !this.state.longProcess && /*#__PURE__*/React.createElement(_views_includes_HeaderRow_jsx__WEBPACK_IMPORTED_MODULE_3__["default"], {
      key: 'HeaderRow' + this.state.stateUpdateHash,
      __: this.__,
      accountUsername: this.state.accountUsername,
      accountAvatar: this.state.accountAvatar,
      appAvatar: this.state.appAvatar,
      appName: this.state.appName,
      appID: this.state.appID,
      disconnectFromDiscordAPI: this.disconnectFromDiscordAPI
    }), this.state.longProcess && /*#__PURE__*/React.createElement(_GeneralAdminViews_Progressbar_jsx__WEBPACK_IMPORTED_MODULE_4__["default"], {
      key: 'Progressbar' + this.state.stateUpdateHash,
      __: this.__,
      colors: this.state.colors,
      progressPercent: this.state.progressPercent
    }), !this.state.longProcess && /*#__PURE__*/React.createElement(_GeneralAdminViews_HeaderBottom_jsx__WEBPACK_IMPORTED_MODULE_5__["default"], {
      key: 'HeaderBottom' + this.state.stateUpdateHash,
      colors: this.state.colors,
      tabs: this.state.tabs,
      switchTab: this.switchTab
    })), /*#__PURE__*/React.createElement("div", {
      id: "argus-tab-content"
    }, this.state.longProcess && /*#__PURE__*/React.createElement(_views_LongProcess_jsx__WEBPACK_IMPORTED_MODULE_9__["default"], {
      key: 'LongProcess' + this.state.stateUpdateHash,
      stopLongProcess: this.stopLongProcess,
      restartLongProcess: this.restartLongProcess,
      __: this.__,
      colors: this.state.colors,
      longProcessTasks: this.state.longProcessTasks
    }), !this.state.longProcess && /*#__PURE__*/React.createElement(React.Fragment, null, this.state.elementorError && /*#__PURE__*/React.createElement("div", {
      className: "argus-log__item argus-log__item-level-20"
    }, /*#__PURE__*/React.createElement("div", {
      className: "argus-log__item-meta"
    }, /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-warning"
    }), /*#__PURE__*/React.createElement("span", {
      className: "argus-log__item-level-text"
    }, this.__("Warning", 'argus-wordpress-plugin'))), /*#__PURE__*/React.createElement("div", {
      className: "argus-log__item-text"
    }, this.state.elementorError)), this.state.criticalErrorsNotification && this.state.activeTab !== 4 && /*#__PURE__*/React.createElement("div", {
      className: "argus-log__item argus-log__item--clickable argus-log__item-level-20",
      onClick: () => this.switchTab(4)
    }, /*#__PURE__*/React.createElement("div", {
      className: "argus-log__item-meta"
    }, /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-bell"
    }), /*#__PURE__*/React.createElement("span", {
      className: "argus-log__item-level-text"
    }, this.__("Warning", 'argus-wordpress-plugin'))), /*#__PURE__*/React.createElement("div", {
      dangerouslySetInnerHTML: {
        __html: this.state.criticalErrorsNotification
      }
    })), this.state.activeTab === 1 && /*#__PURE__*/React.createElement(_views_SettingsGeneral_jsx__WEBPACK_IMPORTED_MODULE_10__["default"], {
      __: this.__,
      settingsValues: this.state.settingsValues,
      colors: this.state.colors,
      webhookName: this.state.webhookName,
      publishedPages: this.state.publishedPages,
      registeredCPT: this.state.registeredCPT,
      ultimateMemberIconsNote: this.state.ultimateMemberIconsNote,
      optionsPermalinkURL: this.state.optionsPermalinkURL,
      key: 'SettingsGeneral' + this.state.stateUpdateHash,
      inputTextChange: this.inputTextChange,
      inputTextAreaChange: this.inputTextAreaChange,
      inputTextAreaSwitchTag: this.inputTextAreaSwitchTag,
      inputCheckboxChange: this.inputCheckboxChange,
      inputSelectChange: this.inputSelectChange,
      inputImageOpenMediaSelector: this.inputImageOpenMediaSelector
    }), this.state.activeTab === 2 && /*#__PURE__*/React.createElement(_views_Authorization_jsx__WEBPACK_IMPORTED_MODULE_7__["default"], {
      key: 'Authorization' + this.state.stateUpdateHash,
      settingsValues: this.state.settingsValues,
      guildID: this.state.guildID,
      guildName: this.state.guildName,
      colors: this.state.colors,
      registeredCPT: this.state.registeredCPT,
      discordRoles: this.state.discordRoles,
      inputTextChange: this.inputTextChange,
      inputTextAreaChange: this.inputTextAreaChange,
      inputTextAreaSwitchTag: this.inputTextAreaSwitchTag,
      inputCheckboxChange: this.inputCheckboxChange,
      inputRadioChange: this.inputRadioChange,
      inputRepeaterDelete: this.inputRepeaterDelete,
      inputRepeaterUpdate: this.inputRepeaterUpdate,
      __: this.__
    }), this.state.activeTab === 3 && /*#__PURE__*/React.createElement(_views_DataSynchronization_jsx__WEBPACK_IMPORTED_MODULE_8__["default"], {
      key: 'DataSynchronization' + this.state.stateUpdateHash,
      settingsValues: this.state.settingsValues,
      singleProcessStatus: this.state.singleProcessStatus,
      allRoleBindings: this.state.allRoleBindings,
      newRoleBinding: this.state.newRoleBinding,
      discordRoles: this.state.discordRoles,
      wpRoles: this.state.wpRoles,
      inputSyncReverseDirection: this.inputSyncReverseDirection,
      inputRolesSelectChange: this.inputRolesSelectChange,
      inputRolesAdd: this.inputRolesAdd,
      inputRolesRemove: this.inputRolesRemove,
      inputSelectChange: this.inputSelectChange,
      startLongProcess: this.startLongProcess,
      runSingleProcess: this.runSingleProcess,
      __: this.__
    }), this.state.activeTab === 4 && /*#__PURE__*/React.createElement(_GeneralAdminViews_Log_jsx__WEBPACK_IMPORTED_MODULE_6__["default"], {
      key: 'Logs' + this.state.stateUpdateHash,
      log: this.state.log,
      updateLogs: this.updateLogs,
      __: this.__
    })), !this.state.longProcess && /*#__PURE__*/React.createElement(_GeneralAdminViews_Footer_jsx__WEBPACK_IMPORTED_MODULE_1__["default"], {
      key: 'SettingsFooter' + this.state.stateUpdateHash,
      __: this.__,
      supportEmail: this.state.supportEmail,
      documentationLink: this.state.documentationLink
    })));
  }
  defineNewRoleBinding() {
    let newWP = 0;
    let newDiscord = 0;
    this.state.wpRoles.map(item => {
      let found = false;
      this.state.allRoleBindings.map(itemBinding => {
        if (itemBinding.wp === item.value) found = true;
      });
      if (!found) newWP = item.value;
    });
    this.state.discordRoles.map(item => {
      let found = false;
      this.state.allRoleBindings.map(itemBinding => {
        if (itemBinding.discord === item.value) found = true;
      });
      if (!found) newDiscord = item.value;
    });
    this.setState(previousState => {
      return previousState.newRoleBinding = {
        wp: String(newWP),
        direction: 1,
        discord: String(newDiscord)
      };
    });
  }
  inputSyncReverseDirection() {
    this.setState(previousState => {
      if (previousState.newRoleBinding.direction === 1) previousState.newRoleBinding.direction = 2;else previousState.newRoleBinding.direction = 1;
      return previousState;
    });
  }
  inputRolesSelectChange(event, key) {
    this.setState(previousState => {
      return previousState.newRoleBinding[key] = event.target.value;
    });
  }
  inputRolesRemove(direction, wpID, discordID) {
    let newRoleBindings = [];
    this.state.allRoleBindings.map(item => {
      if (item.wp !== wpID) newRoleBindings.push(item);
    });
    this.setState(previousState => {
      return previousState.allRoleBindings = newRoleBindings;
    }, () => {
      this.inputRolesAjax('argusDiscordDeleteRolesSync', direction, wpID, discordID);
    });
  }
  inputRolesAdd() {
    let wpName = '';
    let discordName = '';
    this.state.wpRoles.map(item => {
      if (this.state.newRoleBinding.wp === item.value) wpName = item.name;
    });
    this.state.discordRoles.map(item => {
      if (this.state.newRoleBinding.discord === item.value) discordName = item.name;
    });
    this.setState(previousState => {
      return previousState.allRoleBindings.push({
        wp: String(previousState.newRoleBinding.wp),
        wpName: wpName,
        direction: previousState.newRoleBinding.direction,
        discord: String(previousState.newRoleBinding.discord),
        discordName: discordName
      });
    }, () => {
      this.defineNewRoleBinding();
      this.inputRolesAjax('argusDiscordAddRolesSync', this.state.newRoleBinding.direction, this.state.newRoleBinding.wp, this.state.newRoleBinding.discord);
    });
  }
  inputRolesAjax(action, direction, wpID, discordID) {
    let data = {
      action: action,
      argus_wp_role: wpID,
      argus_direction: direction,
      argus_discord_role: discordID
    };
    var reactObj = this;
    jQuery.post(ajaxurl, data, response => {
      reactObj.setState(previousState => {
        return previousState.saveActive = false;
      });
      if (response.success === true) {} else {
        console.dir(response);
      }
      let objKeys = Object.keys(reactObj.state.saveStack);
      if (objKeys.length) delete reactObj.state.saveStack[objKeys[0]];
    });
  }
  disconnectFromDiscordAPI() {
    if (confirm(this.__("Are you sure you want to disconnect?", 'argus-wordpress-plugin'))) {
      window.location.replace(this.state.logoutURL);
    }
  }
}
window.ReactDOM.render( /*#__PURE__*/React.createElement(AdminSettings, null), document.getElementById('argus-discord-admin-settings'));
}();
/******/ })()
;
//# sourceMappingURL=AdminSettings.js.map