<?php

if (!defined('ABSPATH')) exit;


$errorsHelp = [

    [
        'id'      => 'argus-help-tab-linked-error-roles-hierarchy',
        'title'   => __("ERROR. Roles Hierarchy", 'argus-wordpress-plugin'),
        'content' => '<h2>' . __("ERROR. Roles Hierarchy", 'argus-wordpress-plugin') . '</h2>' . '<p>' . __("If you synchronize roles from WP to Discord, make sure that the roles you are trying to assign are positioned beneath the Bot role. To do this, go to the Discord app and open guild settings. On the <code>Roles</code> page, you can find a list of existing roles, rearrange them - and put the bot role on top of all assignable roles.", 'argus-wordpress-plugin') . '</p>' . '<p>' . '    <img style="max-width: 100%; width: 934px;" src="' . plugins_url('../images/help/e1.webp', __FILE__) . '">' . '</p>',
    ],

    [
        'id'      => 'argus-help-tab-linked-error-members-intent',
        'title'   => __("ERROR. Members Intent", 'argus-wordpress-plugin'),
        'content' => '<h2>' . __("ERROR. Members Intent", 'argus-wordpress-plugin') . '</h2>' . '<p>' . __("Go to <a href='https://discord.com/developers/applications/' target='_blank'>discord.com/developers/applications</a>, choose this website application and go to the <code>Bot</code> page. Enable <code>SERVER MEMBERS INTENT</code> option for proper members' data synchronization.", 'argus-wordpress-plugin') . ' </p>' . '<p>' . '     <img style="max-width: 100%; width: 1399px;" src="' . plugins_url('../images/help/2.4.webp', __FILE__) . '">' . '</p>',
    ],

    [
        'id'      => 'argus-help-tab-linked-error-private-channels',
        'title'   => __("ERROR. Private Channels", 'argus-wordpress-plugin'),
        'content' => '<h2>' . __("ERROR. Private Channels", 'argus-wordpress-plugin') . '</h2>' . '<p>' . __("If you have private channels in your guild, the plugin cannot access them if the website bot is not in this channel. To add the bot, open this channel in the Discord client, and beneath the welcome message, you will see <code>Add members or roles</code> button.", 'argus-wordpress-plugin') . '</p>' . '<p>' . '    <img style="max-width: 100%; width: 634px;" src="' . plugins_url('../images/help/e2.webp', __FILE__) . '">' . '</p>' . '<p>' . __("In appeared popup find the bot that you created for this plugin and add it to the channel. Now try to update data again.", 'argus-wordpress-plugin') . '</p>' . '<p>' . '    <img style="max-width: 100%; width: 473px;" src="' . plugins_url('../images/help/e3.webp', __FILE__) . '">' . '</p>',
    ],

];
