<?php

namespace Argus\Discord;

if (!defined('ABSPATH')) exit;


add_action('init', function() {

    Gutenberg::init('members-count');

    register_block_type('argus-wordpress-plugin/argus-discord-members-count-gutenberg-block', [
        'editor_script'   => 'argus-discord-members-count-gutenberg-block',
        'render_callback' => function($instance) {
            $instance['className'] = $instance['className'] ?? '';

            $count = Data::getData('Guild')->approximate_member_count;

            return '<span class="' . $instance['className'] . '">' . $count . '</span>';
        },
    ]);
});
