<?php

if (!defined('ABSPATH')) exit;


add_shortcode('argus-discord-sync-user-button', function($attributes, $content) {

    if (!$attributes || !is_array($attributes)) $attributes = [];

    $wpUserID = get_current_user_id();
    if (!$wpUserID || !get_user_meta($wpUserID, 'dwpp-discord-id', true)) {
        return '';
    }

    if (!$content) $content = __("Synchronize Data", 'argus-wordpress-plugin');

    if (isset($attributes['style'])) {
        $class = 'argus__button--' . $attributes['style'] . '-style';
    } else {
        $class = 'argus__button--no-style';
    }

    return '<a class="argus__synchronization ' . $class . '" href="/?action=argus-synchronize-user&rand=' . time() . '">' . $content . '</a>';
});
