/******/ (function() { // webpackBootstrap
/******/ 	"use strict";
/******/ 	var __webpack_modules__ = ({

/***/ "./controllers/AdminPanelAbstraction.jsx":
/*!***********************************************!*\
  !*** ./controllers/AdminPanelAbstraction.jsx ***!
  \***********************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": function() { return /* binding */ AdminPanelAbstraction; }
/* harmony export */ });
class AdminPanelAbstraction extends window.React.Component {
  __(string) {
    if (typeof this.state.translations !== 'undefined' && this.state.translations && typeof this.state.translations.locale_data !== 'undefined' && typeof this.state.translations.locale_data['argus-wordpress-plugin'] !== 'undefined' && typeof this.state.translations.locale_data['argus-wordpress-plugin'][string] !== 'undefined' && typeof this.state.translations.locale_data['argus-wordpress-plugin'][string][0] !== 'undefined') {
      return this.state.translations.locale_data['argus-wordpress-plugin'][string][0];
    }
    return string;
  }
  switchTab(newTabID) {
    let tabs = [];
    for (let tab of this.state.tabs) {
      if (tab.id === newTabID) tab.active = true;else tab.active = false;
      tabs.push(tab);
    }
    this.setState(previousState => {
      previousState.tabs = tabs;
      previousState.activeTab = newTabID;
      return previousState;
    });
  }
  inputTextChange(event) {
    this.setState(previousState => {
      return previousState.settingsValues[event.target.name] = event.target.value;
    }, () => {
      this.saveOption(event.target.name, this.state.settingsValues[event.target.name]);
    });
  }
  inputRadioChange(event) {
    this.setState(previousState => {
      return previousState.settingsValues[event.target.name] = event.target.value;
    }, () => {
      this.saveOption(event.target.name, this.state.settingsValues[event.target.name]);
    });
  }
  inputSelectChange(event) {
    this.setState(previousState => {
      return previousState.settingsValues[event.target.name] = event.target.value;
    }, () => {
      this.saveOption(event.target.name, this.state.settingsValues[event.target.name]);
    });
  }
  inputCheckboxChange(event) {
    this.setState(previousState => {
      return previousState.settingsValues[event.target.name] = event.target.checked ? 1 : 0;
    }, () => {
      this.saveOption(event.target.name, this.state.settingsValues[event.target.name]);
    });
  }
  inputTextAreaChange(event) {
    this.setState(previousState => {
      return previousState.settingsValues[event.target.name] = event.target.value;
    }, () => {
      this.saveOption(event.target.name, this.state.settingsValues[event.target.name], ['tags_list']);
    });
  }
  inputTextAreaSwitchTag(name, tag_value, active) {
    this.setState(previousState => {
      let currentValues = previousState.settingsValues[name].split(',').filter(i => i);
      if (active) {
        let newValues = [];
        currentValues.map(val => {
          if (val.toString() !== tag_value.toString()) newValues.push(val);
        });
        previousState.settingsValues[name] = newValues.join(',');
      } else {
        currentValues.push(tag_value);
        previousState.settingsValues[name] = currentValues.join(',');
      }
      previousState.stateUpdateHash = Date.now();
      return previousState;
    }, () => {
      this.saveOption(name, this.state.settingsValues[name], ['tags_list']);
    });
  }
  inputRepeaterDelete(name, id) {
    this.setState(previousState => {
      let currentValues = previousState.settingsValues[name];
      let newValues = [];
      currentValues.map(val => {
        if (val.id.toString() !== id.toString()) newValues.push(val);
      });
      return previousState.settingsValues[name] = newValues;
    }, () => {
      this.saveRepeater(name, this.state.settingsValues[name]);
    });
  }
  inputRepeaterUpdate(event, id, name) {
    this.setState(previousState => {
      let currentValues = previousState.settingsValues[name];
      currentValues.map((val, index) => {
        if (val.id.toString() === id.toString()) {
          let addEmpty = false;
          if (!val.name && !val.url) addEmpty = true;
          currentValues[index][event.target.name] = event.target.value;
          if (addEmpty) {
            currentValues.push({
              id: Date.now(),
              name: '',
              value: ''
            });
          }
        }
      });
      return previousState.settingsValues[name] = currentValues;
    }, () => {
      this.saveRepeater(name, this.state.settingsValues[name]);
    });
  }
  saveRepeater(name, data) {
    let newData = {};
    data.map(val => {
      if (val.name || val.url) {
        newData[val.id] = {};
        newData[val.id]['name'] = val.name;
        newData[val.id]['url'] = val.url;
      }
    });
    this.saveOption(name, JSON.stringify(newData), ['strip_slashes']);
  }
  inputImageOpenMediaSelector(imageInputName) {
    let imageSelector = window.wp.media({
      multiple: false,
      library: {
        type: 'image'
      }
    });
    var reactObj = this;
    imageSelector.on('close', () => {
      let selection = imageSelector.state().get('selection');
      let galleryIds = [];
      let selectionIndex = 0;
      let selectionURL = '';
      selection.each(attachment => {
        galleryIds[selectionIndex] = attachment['id'];
        selectionURL = attachment.attributes.url;
        selectionIndex++;
      });
      let ids = galleryIds.join(',');
      if (ids) {
        reactObj.setState(previousState => {
          previousState.settingsValues.argusDiscordDefaultAvatar = ids;
          previousState.settingsValues.argusDiscordDefaultAvatarURL = selectionURL;
          return previousState;
        });
        reactObj.saveOption(imageInputName, ids);
      }
    });
    imageSelector.open();
  }
  saveOption(optionKey, optionValue) {
    let optionFilter = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : [];
    if (this.state.saveActive) {
      this.state.saveStack[optionKey] = {
        optionKey: optionKey,
        optionValue: optionValue,
        optionFilter: optionFilter
      };
    } else {
      this.setState(previousState => {
        return previousState.saveActive = true;
      });
      let data = {
        action: 'argusSaveOption',
        optionKey: optionKey,
        optionValue: optionValue,
        optionFilter: optionFilter
      };
      var reactObj = this;
      jQuery.post(ajaxurl, data, response => {
        reactObj.setState(previousState => {
          return previousState.saveActive = false;
        });
        if ('success' in response && response.success !== true) {
          console.dir(response);
        }
        let objKeys = Object.keys(reactObj.state.saveStack);
        if (objKeys.length) {
          reactObj.saveOption(reactObj.state.saveStack[objKeys[0]].optionKey, reactObj.state.saveStack[objKeys[0]].optionValue, reactObj.state.saveStack[objKeys[0]].optionFilter);
          delete reactObj.state.saveStack[objKeys[0]];
        }
      });
    }
  }
  startLongProcess(title, ajaxHook) {
    this.setState(previousState => {
      previousState.settingsTitle = title;
      previousState.longProcess = true;
      return previousState;
    });
    var reactObj = this;
    jQuery.post(ajaxurl, {
      action: ajaxHook
    }, response => {
      if (response.success === true) {
        reactObj.setState(previousState => {
          previousState.longProcessTasks = previousState.longProcessTasks.concat(response.data);
          previousState.longProcessTasks[0].state = 1;
          previousState.longProcessTasks[0].text = reactObj.__("List of actions received", 'argus-wordpress-plugin');
          return previousState;
        });
        reactObj.countLongProcessPercent(0);
        reactObj.runNextLongProcess();
      } else {
        console.dir(response);
        if (typeof response.data === 'string') {
          reactObj.setState(previousState => {
            previousState.longProcessTasks[0].state = 2;
            previousState.longProcessTasks[0].text = response.data;
            return previousState;
          });
        }
      }
    });
  }
  runNextLongProcess() {
    for (let taskKey = 0; taskKey < this.state.longProcessTasks.length; taskKey++) {
      if (this.state.longProcessTasks[taskKey].state === 4) {
        this.setState(previousState => {
          return previousState.longProcessTasks[taskKey].state = 3;
        });
        var reactObj = this;
        jQuery.post(ajaxurl, this.state.longProcessTasks[taskKey].data, response => {
          if ('success' in response) {
            if (typeof reactObj.state.longProcessTasks[taskKey] === 'object') {
              if (response.success === true) {
                reactObj.setState(previousState => {
                  previousState.longProcessTasks[taskKey].state = 1;
                  previousState.longProcessTasks[taskKey].text = response.data.message;
                  return previousState;
                });
                if (typeof response.data.state !== 'undefined') {
                  reactObj.setState(previousState => {
                    for (const [key, value] of Object.entries(response.data.state)) {
                      previousState[key] = value;
                    }
                    return previousState;
                  });
                }
              } else {
                console.dir(response);
                reactObj.setState(previousState => {
                  previousState.longProcessTasks[taskKey].state = 2;
                  previousState.longProcessTasks[taskKey].text = response.data.message;
                  return previousState;
                });
              }
            }
          } else {
            console.dir(response);
            reactObj.setState(previousState => {
              previousState.longProcessTasks[taskKey].state = 2;
              previousState.longProcessTasks[taskKey].text = reactObj.__("Error on the server", 'argus-wordpress-plugin');
              return previousState;
            });
          }
          if (reactObj.state.longProcess) {
            reactObj.countLongProcessPercent(taskKey);
            if (reactObj.state.initUpdate && reactObj.state.progressPercent === '100%') {
              reactObj.stopLongProcess();
            } else {
              reactObj.runNextLongProcess();
            }
          }
        });
        break;
      }
    }
  }
  countLongProcessPercent(position) {
    position = position + 1;
    this.setState(previousState => {
      let percent = Math.ceil(100 / previousState.longProcessTasks.length * position);
      if (percent > 100) percent = 100;
      previousState.progressPercent = String(percent) + '%';
      return previousState;
    });
  }
  stopLongProcess() {
    this.setState(previousState => {
      previousState.settingsTitle = previousState.defaultTitle;
      previousState.longProcess = false;
      previousState.progressPercent = '0%';
      previousState.longProcessTasks[0].state = 3;
      previousState.longProcessTasks[0].text = this.__("Building list of actions...", 'argus-wordpress-plugin');
      previousState.longProcessTasks = previousState.longProcessTasks.slice(0, 1);
      return previousState;
    });
  }
  restartLongProcess() {
    window.scrollTo({
      top: 0,
      behavior: 'smooth'
    });
    this.setState(previousState => {
      previousState.longProcessTasks.map(item => item.state = 3);
      previousState.longProcessTasks[0].state = 1;
      return previousState;
    }, () => {
      if (this.state.progressPercent === '100%') this.runNextLongProcess();
    });
  }
  runSingleProcess(ajaxHook, processKey) {
    this.setState(previousState => {
      return previousState.singleProcessStatus[processKey] = 3;
    });
    var reactObj = this;
    jQuery.post(ajaxurl, {
      action: ajaxHook
    }, response => {
      if ('success' in response) {
        if (response.success === true) {
          reactObj.setState(previousState => {
            return previousState.singleProcessStatus[processKey] = 1;
          });
        } else {
          reactObj.setState(previousState => {
            return previousState.singleProcessStatus[processKey] = 2;
          });
          if ('data' in response && 'message' in response.data) alert(response.data.message);
          console.dir(response);
        }
      }
      setTimeout(() => {
        reactObj.setState(previousState => {
          return previousState.singleProcessStatus[processKey] = 4;
        });
      }, 2000);
    });
  }
  updateLogs() {
    let component = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 0;
    let data = {
      action: 'argusGetLogs',
      component: component
    };
    var reactObj = this;
    jQuery.post(ajaxurl, data, response => {
      if (response.success === true) {
        reactObj.setState(previousState => {
          return previousState.log = response.data;
        });
      } else {
        console.dir(response);
        reactObj.setState(previousState => {
          return previousState.log = {
            level: 10,
            timestamp: false,
            text: this.__("No messages in the log.", 'argus-wordpress-plugin')
          };
        });
      }
    });
  }
}

/***/ }),

/***/ "./views/ComponentsPanel.jsx":
/*!***********************************!*\
  !*** ./views/ComponentsPanel.jsx ***!
  \***********************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": function() { return /* binding */ ComponentsPanelView; }
/* harmony export */ });
/* harmony import */ var _GeneralAdminViews_HeaderBottom_jsx__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @GeneralAdminViews/HeaderBottom.jsx */ "./views/includes/HeaderBottom.jsx");
/* harmony import */ var _GeneralAdminViews_InputCheckbox_jsx__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @GeneralAdminViews/InputCheckbox.jsx */ "./views/includes/InputCheckbox.jsx");


class ComponentsPanelView extends window.React.Component {
  render() {
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("h1", {
      className: "wp-heading-inline"
    }, this.props.__("Argus Components", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("div", {
      className: "argus-navigation-bar"
    }, /*#__PURE__*/React.createElement(_GeneralAdminViews_HeaderBottom_jsx__WEBPACK_IMPORTED_MODULE_0__["default"], {
      key: 'HeaderBottom' + this.props.key,
      colors: this.props.colors,
      tabs: this.props.tabs,
      switchTab: this.props.switchTab
    }), this.props.supportExpireDate !== '' && /*#__PURE__*/React.createElement("div", {
      className: "argus-support",
      dangerouslySetInnerHTML: {
        __html: this.props.supportExpireDate
      }
    })), this.props.tabs[0].active && /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
      className: "argus-components-grid"
    }, /*#__PURE__*/React.createElement("div", {
      className: "argus-components-grid__item"
    }, /*#__PURE__*/React.createElement("div", {
      className: "argus-components-grid__item-image"
    }, /*#__PURE__*/React.createElement("svg", {
      width: "128",
      height: "128",
      viewBox: "0 0 512 512",
      style: {
        enableBackground: 'new 0 0 512 512'
      },
      xmlSpace: "preserve"
    }, /*#__PURE__*/React.createElement("path", {
      fill: "#5865f2",
      d: "M433.43 93.222a422.256 422.256 0 0 0-104.216-32.324 1.582 1.582 0 0 0-1.675.792c-4.501 8.005-9.486 18.447-12.977 26.655-39.353-5.892-78.505-5.892-117.051 0-3.492-8.39-8.658-18.65-13.179-26.655a1.643 1.643 0 0 0-1.675-.792c-36.568 6.298-71.562 17.33-104.216 32.324a1.49 1.49 0 0 0-.686.589c-66.376 99.165-84.56 195.893-75.64 291.421.04.467.303.914.666 1.199 43.793 32.161 86.215 51.685 127.848 64.627a1.656 1.656 0 0 0 1.796-.589c9.848-13.449 18.627-27.63 26.154-42.543.444-.873.02-1.91-.888-2.255-13.925-5.282-27.184-11.723-39.939-19.036-1.009-.589-1.09-2.032-.161-2.723a218.562 218.562 0 0 0 7.932-6.217 1.585 1.585 0 0 1 1.655-.224c83.792 38.257 174.507 38.257 257.31 0a1.578 1.578 0 0 1 1.675.203 204.307 204.307 0 0 0 7.952 6.237c.928.691.867 2.134-.141 2.723-12.755 7.456-26.014 13.754-39.959 19.016a1.633 1.633 0 0 0-.867 2.275c7.689 14.892 16.468 29.073 26.134 42.523.404.569 1.13.813 1.796.609 41.835-12.941 84.257-32.466 128.05-64.627a1.64 1.64 0 0 0 .666-1.178c10.676-110.441-17.881-206.376-75.7-291.421a1.297 1.297 0 0 0-.664-.609zM171.094 327.065c-25.227 0-46.014-23.16-46.014-51.604 0-28.443 20.383-51.604 46.014-51.604 25.831 0 46.417 23.364 46.013 51.604 0 28.444-20.384 51.604-46.013 51.604zm170.127 0c-25.226 0-46.013-23.16-46.013-51.604 0-28.443 20.383-51.604 46.013-51.604 25.832 0 46.417 23.364 46.014 51.604 0 28.444-20.181 51.604-46.014 51.604z",
      "data-original": "#5865f2"
    }))), /*#__PURE__*/React.createElement("div", {
      className: "argus-components-grid__item-description"
    }, /*#__PURE__*/React.createElement("h3", null, this.props.__("Discord", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("p", null, this.props.__("Integration with Discord guild. Synchronize roles, authorize on the website, create invite banners, output chats and pinned messages, automate posts and events announces, make quick publication to channels, and many more...", 'argus-wordpress-plugin'))), /*#__PURE__*/React.createElement("div", {
      className: "argus-components-grid__item-constrols"
    }, this.props.installedComponents.discord && /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("a", {
      className: "button",
      onClick: () => this.props.toggleComponent('discord')
    }, this.props.__("Uninstall", 'argus-wordpress-plugin'))), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("a", {
      href: "/wp-admin/options-general.php?page=argus-discord-plugin-settings"
    }, this.props.__("Open Settings", 'argus-wordpress-plugin')))), !this.props.installedComponents.discord && /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("a", {
      className: "button button-primary",
      onClick: () => this.props.toggleComponent('discord')
    }, this.props.__("Install", 'argus-wordpress-plugin')))))), /*#__PURE__*/React.createElement("div", {
      className: "argus-components-grid__item"
    }, /*#__PURE__*/React.createElement("div", {
      className: "argus-components-grid__item-image"
    }, /*#__PURE__*/React.createElement("svg", {
      width: "128",
      height: "128",
      viewBox: "0 0 512 512",
      style: {
        enableBackground: 'new 0 0 512 512'
      },
      xmlSpace: "preserve"
    }, /*#__PURE__*/React.createElement("linearGradient", {
      id: "a",
      x1: "171.731",
      x2: "437.17",
      y1: "162.944",
      y2: "428.383",
      gradientUnits: "userSpaceOnUse"
    }, /*#__PURE__*/React.createElement("stop", {
      "stop-color": "#1d1d1b",
      offset: "0"
    }), /*#__PURE__*/React.createElement("stop", {
      "stop-color": "#1d1d1b",
      offset: ".369"
    }), /*#__PURE__*/React.createElement("stop", {
      "stop-color": "#1d1d1b",
      offset: ".75"
    }), /*#__PURE__*/React.createElement("stop", {
      "stop-color": "#16202e",
      offset: "1"
    })), /*#__PURE__*/React.createElement("circle", {
      cx: "256",
      cy: "256",
      r: "250",
      fill: "#1c2839",
      "data-original": "#838383"
    }), /*#__PURE__*/React.createElement("path", {
      fill: "url(#a)",
      d: "M505.232 236.327 403.843 134.938a88.311 88.311 0 0 0-62.732-26.007c-48.351 0-87.772 38.662-88.133 86.385l-54.846 77.862c-15.336-1.345-28.506 1.8-40.233 8.791l-75.143-30.051v82.169l171.9 171.9c.45 0 .9.017 1.348.017 138.071 0 250-111.929 250-250q-.004-9.936-.772-19.677zm-105.77-31.5-33.6-33.6a35.074 35.074 0 1 0-49.6 49.6l33.051 33.05a59.248 59.248 0 0 1-8.116.547c-32.655 0-59.176-26.014-59.176-58.4 0-32.2 26.431-58.4 59.176-58.4 32.385 0 58.906 26.194 58.906 58.4a57.99 57.99 0 0 1-.641 8.805z",
      opacity: ".49",
      "data-original": "url(#a)"
    }), /*#__PURE__*/React.createElement("g", {
      fill: "#fff"
    }, /*#__PURE__*/React.createElement("path", {
      d: "M341.111 108.931c-48.351 0-87.772 38.662-88.133 86.385l-54.846 77.862c-15.336-1.346-28.506 1.794-40.233 8.791l-75.143-30.051v82.169l44.472 17.671a65.8 65.8 0 0 0 64.228 51.311c34.009 0 62.244-25.835 65.311-58.846l84.525-61.088c48.441 0 87.952-38.931 87.952-87.191-.09-47.902-39.511-87.013-88.133-87.013zM191.366 385.846A48.219 48.219 0 0 1 148.7 360.37c7.848 2.96 15.876 6.279 23.725 9.329a38.368 38.368 0 0 0 50.065-21.08 37.848 37.848 0 0 0-21.379-49.427l-20.117-8.073a46.221 46.221 0 0 1 10.464-1.166 47.949 47.949 0 1 1-.09 95.893zM341.2 254.43c-32.655 0-59.176-26.014-59.176-58.4 0-32.2 26.431-58.4 59.176-58.4 32.385 0 58.906 26.194 58.906 58.4.094 32.386-26.52 58.49-58.906 58.4z",
      "data-original": "#ffffff"
    }), /*#__PURE__*/React.createElement("ellipse", {
      cx: "341.066",
      cy: "196.033",
      rx: "35.449",
      ry: "35.072",
      "data-original": "#ffffff"
    })))), /*#__PURE__*/React.createElement("div", {
      className: "argus-components-grid__item-description"
    }, /*#__PURE__*/React.createElement("h3", null, this.props.__("Steam", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("p", null, this.props.__("Integration with Steam API. Authorize, register and comment on the website with Steam profile.", 'argus-wordpress-plugin'))), /*#__PURE__*/React.createElement("div", {
      className: "argus-components-grid__item-constrols"
    }, this.props.installedComponents.steam && /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("a", {
      className: "button",
      onClick: () => this.props.toggleComponent('steam')
    }, this.props.__("Uninstall", 'argus-wordpress-plugin'))), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("a", {
      href: "/wp-admin/options-general.php?page=argus-steam-plugin-settings"
    }, this.props.__("Open Settings", 'argus-wordpress-plugin')))), !this.props.installedComponents.steam && /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("a", {
      className: "button button-primary",
      onClick: () => this.props.toggleComponent('steam')
    }, this.props.__("Install", 'argus-wordpress-plugin')))))), /*#__PURE__*/React.createElement("div", {
      className: "argus-components-grid__item"
    }, /*#__PURE__*/React.createElement("div", {
      className: "argus-components-grid__item-image"
    }, /*#__PURE__*/React.createElement("svg", {
      width: "128",
      height: "128",
      viewBox: "0 0 24 24",
      style: {
        enableBackground: 'new 0 0 512 512'
      },
      xmlSpace: "preserve"
    }, /*#__PURE__*/React.createElement("g", {
      fill: "#673ab7"
    }, /*#__PURE__*/React.createElement("path", {
      d: "M.975 4.175v16.694h5.749V24h3.139l3.134-3.132h4.705l6.274-6.258V0H2.542zm3.658-2.09h17.252v11.479l-3.66 3.652h-5.751L9.34 20.343v-3.127H4.633z",
      "data-original": "#673ab7"
    }), /*#__PURE__*/React.createElement("path", {
      d: "M10.385 6.262h2.09v6.26h-2.09zm5.748 0h2.091v6.26h-2.091z",
      "data-original": "#673ab7"
    })))), /*#__PURE__*/React.createElement("div", {
      className: "argus-components-grid__item-description"
    }, /*#__PURE__*/React.createElement("h3", null, this.props.__("Twitch", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("p", null, this.props.__("In development...", 'argus-wordpress-plugin'))), /*#__PURE__*/React.createElement("div", {
      className: "argus-components-grid__item-constrols"
    })))), this.props.tabs[1].active && /*#__PURE__*/React.createElement("div", {
      className: "argus-translations"
    }, /*#__PURE__*/React.createElement("h2", null, this.props.__("AI Translations", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("p", null, this.props.__("This plugin was translated into the languages below with a neural network. The translation is not perfect, but I thought it was decent enough to give it a shot. If you would prefer original English texts you can disable translations with the checkbox below.", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement("ul", {
      className: "argus-translations__list"
    }, this.props.translationsList.map(translation => {
      return /*#__PURE__*/React.createElement("li", null, /*#__PURE__*/React.createElement("img", {
        src: "/wp-content/plugins/argus-wordpress-plugin/views/images/flags/" + translation.locale + ".svg"
      }), /*#__PURE__*/React.createElement("span", null, translation.name), /*#__PURE__*/React.createElement("code", null, translation.locale), translation.locale === this.props.currentLocale && /*#__PURE__*/React.createElement("b", null, this.props.__("This language is currently used in WordPress", 'argus-wordpress-plugin')), translation.human && /*#__PURE__*/React.createElement("i", null, this.props.__("This translation made by human.", 'argus-wordpress-plugin')));
    }))), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement(_GeneralAdminViews_InputCheckbox_jsx__WEBPACK_IMPORTED_MODULE_1__["default"], {
      name: 'argusActivateTranslations',
      label: this.props.__("Translate plugin with AI", 'argus-wordpress-plugin'),
      value: this.props.settingsValues.argusActivateTranslations,
      inputCheckboxChange: this.props.inputCheckboxChange,
      note: this.props.__("WordPress requires a page refresh to load translations.", 'argus-wordpress-plugin'),
      colors: this.props.colors,
      __: this.props.__
    })), /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement("b", null, this.props.__("If you want to correct the translation or request a new language, you can contact me:", 'argus-wordpress-plugin'), ' ', /*#__PURE__*/React.createElement("a", {
      href: 'mailto:' + this.props.supportEmail + '?subject=' + "I would like to correct the translation"
    }, this.props.supportEmail)))), this.props.tabs[2].active && /*#__PURE__*/React.createElement("div", {
      className: this.props.domainAuthentication === 1 ? 'argus-activation active' : 'argus-activation'
    }, /*#__PURE__*/React.createElement("h2", null, this.props.__("Plugin Activation", 'argus-wordpress-plugin')), this.props.domainAuthentication === 0 && /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("p", null, this.props.__("You need to activate Argus to start using it. Enter the purchase code in the input below to connect it to the domain. You can use only one license per domain.", 'argus-wordpress-plugin'), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("a", {
      href: "https://help.market.envato.com/hc/en-us/articles/202822600-Where-Is-My-Purchase-Code-",
      target: "_blank"
    }, this.props.__("Click here to learn where you can get your purchase code", 'argus-wordpress-plugin'))), /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement("input", {
      type: "text",
      value: this.props.purchaseCode,
      name: "purchaseCode",
      className: "regular-text code",
      spellCheck: "false",
      autoComplete: "off",
      placeholder: "5c4a74da-7ba9-455d-9195-bf6943cf6568",
      disabled: this.props.purchaseCodeDisabled,
      onChange: () => this.props.purchaseCodeChange(event)
    }), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("i", null, this.props.purchaseCodeNotice))), this.props.domainAuthentication === 1 && /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-saved"
    }), ' ', this.props.__("Argus activated and ready to use. Purchase code connected to this domain:", 'argus-wordpress-plugin'), ' ', /*#__PURE__*/React.createElement("code", null, this.props.argusPurchaseCode)), /*#__PURE__*/React.createElement("p", null, this.props.__("According to Envato distribution requirements, you can use only one domain per purchase code. If you activated your code accidentally on the wrong domain, for example on the testing one, you can write to me and explain the situation:", 'argus-wordpress-plugin'), ' ', /*#__PURE__*/React.createElement("a", {
      href: 'mailto:' + this.props.supportEmail + '?subject=' + "I would like to deactivate my purchase code"
    }, this.props.supportEmail)))), /*#__PURE__*/React.createElement("a", {
      className: "argus-components-poll",
      href: this.props.surveyLink,
      target: "_blank"
    }, /*#__PURE__*/React.createElement("div", {
      className: "argus-components-poll__image"
    }, /*#__PURE__*/React.createElement("svg", {
      width: "128",
      height: "128",
      viewBox: "0 0 512 512",
      style: {
        enableBackground: 'new 0 0 512 512'
      },
      xmlSpace: "preserve"
    }, /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("path", {
      fill: "#744abd",
      d: "M441.4 140.2V479c0 18.2-14.8 33-33 33H103.6c-18.2 0-33-14.8-33-33V33c0-18.2 14.8-33 33-33h197.6z",
      "data-original": "#744abd",
      className: ""
    }), /*#__PURE__*/React.createElement("path", {
      fill: "#ffffff",
      d: "M187 257.7h163.8v21.1H187z",
      "data-original": "#ffffff"
    }), /*#__PURE__*/React.createElement("circle", {
      cx: "149.8",
      cy: "268.2",
      r: "11.8",
      fill: "#ffffff",
      "data-original": "#ffffff"
    }), /*#__PURE__*/React.createElement("path", {
      fill: "#ffffff",
      d: "M187 317.7h163.8v21.1H187z",
      "data-original": "#ffffff"
    }), /*#__PURE__*/React.createElement("circle", {
      cx: "149.8",
      cy: "328.2",
      r: "11.8",
      fill: "#ffffff",
      "data-original": "#ffffff"
    }), /*#__PURE__*/React.createElement("path", {
      fill: "#ffffff",
      d: "M187 377.7h163.8v21.1H187z",
      "data-original": "#ffffff"
    }), /*#__PURE__*/React.createElement("circle", {
      cx: "149.8",
      cy: "388.2",
      r: "11.8",
      fill: "#ffffff",
      "data-original": "#ffffff"
    }), /*#__PURE__*/React.createElement("path", {
      d: "m320.3 135.4 121.1 98.1v-92.1l-68.7-39.9z",
      opacity: ".19",
      fill: "#000000",
      "data-original": "#000000"
    }), /*#__PURE__*/React.createElement("path", {
      fill: "#b7a2dd",
      d: "M441.4 140.2H334.2c-18.2 0-33-14.8-33-33V0z",
      "data-original": "#b7a2dd"
    })))), /*#__PURE__*/React.createElement("div", {
      className: "argus-components-poll__text"
    }, /*#__PURE__*/React.createElement("h3", null, this.props.__("Development Direction Poll", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("p", null, this.props.__("A simple Google Form checkbox survey where you can vote for support of other builders and API integrations or request your functionality.", 'argus-wordpress-plugin')))));
  }
}

/***/ }),

/***/ "./views/includes/HeaderBottom.jsx":
/*!*****************************************!*\
  !*** ./views/includes/HeaderBottom.jsx ***!
  \*****************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": function() { return /* binding */ HeaderBottom; }
/* harmony export */ });
class HeaderBottom extends window.React.Component {
  render() {
    return /*#__PURE__*/React.createElement(React.Fragment, null, this.props.tabs.length && /*#__PURE__*/React.createElement("nav", {
      className: "argus-tabs"
    }, this.props.tabs.map(item => {
      if (item.display) {
        return /*#__PURE__*/React.createElement("span", {
          className: 'argus-tabs__tab ' + (item.active && 'active'),
          style: {
            'box-shadow': item.active && 'inset 0 -3px ' + this.props.colors.accent
          },
          onClick: () => this.props.switchTab(item.id)
        }, item.name);
      }
    })));
  }
}

/***/ }),

/***/ "./views/includes/InputCheckbox.jsx":
/*!******************************************!*\
  !*** ./views/includes/InputCheckbox.jsx ***!
  \******************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": function() { return /* binding */ InputCheckbox; }
/* harmony export */ });
class InputCheckbox extends window.React.Component {
  render() {
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("label", null, /*#__PURE__*/React.createElement("input", {
      type: "checkbox",
      defaultChecked: this.props.value,
      name: this.props.name,
      onChange: () => this.props.inputCheckboxChange(event)
    }), /*#__PURE__*/React.createElement("span", {
      dangerouslySetInnerHTML: {
        __html: this.props.label
      }
    })), this.props.note && /*#__PURE__*/React.createElement("p", {
      className: "description",
      dangerouslySetInnerHTML: {
        __html: this.props.note
      }
    }));
  }
}

/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId](module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/define property getters */
/******/ 	!function() {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = function(exports, definition) {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	!function() {
/******/ 		__webpack_require__.o = function(obj, prop) { return Object.prototype.hasOwnProperty.call(obj, prop); }
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	!function() {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = function(exports) {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	}();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// This entry need to be wrapped in an IIFE because it need to be isolated against other modules in the chunk.
!function() {
/*!*****************************************!*\
  !*** ./controllers/ComponentsPanel.jsx ***!
  \*****************************************/
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _GeneralAdminControllers_AdminPanelAbstraction_jsx__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @GeneralAdminControllers/AdminPanelAbstraction.jsx */ "./controllers/AdminPanelAbstraction.jsx");
/* harmony import */ var _views_ComponentsPanel_jsx__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../views/ComponentsPanel.jsx */ "./views/ComponentsPanel.jsx");


class ComponentsPanel extends _GeneralAdminControllers_AdminPanelAbstraction_jsx__WEBPACK_IMPORTED_MODULE_0__["default"] {
  constructor() {
    super();
    this.state = argusStateValues;
    this.__ = this.__.bind(this);
    this.state.stateUpdateHash = Date.now();
    this.state.saveStack = {};
    this.state.purchaseCode = '';
    this.state.purchaseCodeDisabled = false;
    this.state.purchaseCodeCheckInProgress = false;
    this.state.purchaseCodeNotice = this.__("Enter purchase code", 'argus-wordpress-plugin');
    this.state.tabs = [{
      id: 1,
      name: this.__("Components", 'argus-wordpress-plugin'),
      display: !!this.state.domainAuthentication,
      active: !!this.state.domainAuthentication
    }, {
      id: 2,
      name: this.__("Translations", 'argus-wordpress-plugin'),
      display: !!this.state.domainAuthentication,
      active: false
    }, {
      id: 3,
      name: this.__("Activation", 'argus-wordpress-plugin'),
      display: true,
      active: !this.state.domainAuthentication
    }];
    this.switchTab = this.switchTab.bind(this);
    this.purchaseCodeChange = this.purchaseCodeChange.bind(this);
    this.toggleComponent = this.toggleComponent.bind(this);
    this.inputCheckboxChange = this.inputCheckboxChange.bind(this);
    this.switchTab = this.switchTab.bind(this);
  }
  render() {
    let translationsList = [{
      name: this.__("German (Germany)", 'argus-wordpress-plugin'),
      locale: 'de_DE',
      human: false
    }, {
      name: this.__("French (France)", 'argus-wordpress-plugin'),
      locale: 'fr_FR',
      human: false
    }];
    return /*#__PURE__*/React.createElement("div", {
      className: "wrap"
    }, /*#__PURE__*/React.createElement(_views_ComponentsPanel_jsx__WEBPACK_IMPORTED_MODULE_1__["default"], {
      key: 'ComponentsPanel' + this.state.stateUpdateHash,
      colors: this.state.colors,
      settingsValues: this.state.settingsValues,
      translationsList: translationsList,
      currentLocale: this.state.currentLocale,
      tabs: this.state.tabs,
      supportExpireDate: this.state.supportExpireDate,
      supportEmail: this.state.supportEmail,
      surveyLink: this.state.surveyLink,
      purchaseCode: this.state.purchaseCode,
      argusPurchaseCode: this.state.argusPurchaseCode,
      purchaseCodeDisabled: this.state.purchaseCodeDisabled,
      purchaseCodeNotice: this.state.purchaseCodeNotice,
      domainAuthentication: this.state.domainAuthentication,
      installedComponents: this.state.installedComponents,
      switchTab: this.switchTab,
      toggleComponent: this.toggleComponent,
      inputCheckboxChange: this.inputCheckboxChange,
      purchaseCodeChange: this.purchaseCodeChange,
      __: this.__
    }));
  }
  toggleComponent(name) {
    jQuery.post(ajaxurl, {
      action: 'argusToggleComponent',
      name: name,
      state: this.state.installedComponents[name]
    });
    this.setState(previousState => {
      return previousState.installedComponents[name] = !previousState.installedComponents[name];
    });
  }
  purchaseCodeChange(event) {
    this.setState(previousState => {
      previousState.purchaseCode = event.target.value;
      if (event.target.value.match(/^([a-f0-9]{8})-(([a-f0-9]{4})-){3}([a-f0-9]{12})$/i)) {
        previousState.purchaseCodeDisabled = true;
        previousState.purchaseCodeNotice = this.__("Checking purchase code on Envato servers...", 'argus-wordpress-plugin');
      } else {
        previousState.purchaseCodeDisabled = false;
        if (event.target.value.length > 0) {
          previousState.purchaseCodeNotice = this.__("Invalid purchase code, format do not match", 'argus-wordpress-plugin');
        } else {
          previousState.purchaseCodeNotice = this.__("Enter purchase code", 'argus-wordpress-plugin');
        }
      }
      return previousState;
    }, () => {
      if (this.state.purchaseCodeDisabled && !this.state.purchaseCodeCheckInProgress) {
        this.setState(previousState => {
          return previousState.purchaseCodeCheckInProgress = true;
        });
        let data = {
          action: 'argusCheckPurchaseCode',
          code: this.state.purchaseCode
        };
        var reactObj = this;
        jQuery.post(ajaxurl, data, response => {
          reactObj.setState(previousState => {
            return previousState.purchaseCodeCheckInProgress = false;
          });
          if (typeof response.data.success !== 'undefined') {
            if (response.data.success) {
              this.switchTab(1);
              reactObj.setState(previousState => {
                previousState.tabs[0].display = true;
                previousState.tabs[1].display = true;
                previousState.domainAuthentication = 1;
                previousState.argusPurchaseCode = data.code;
                previousState.supportExpireDate = reactObj.__("Supported up to", 'argus-wordpress-plugin') + " <code style='color:green'>" + response.data.support + '</code>';
                return previousState;
              });
            } else {
              reactObj.setState(previousState => {
                previousState.purchaseCode = '';
                previousState.purchaseCodeDisabled = false;
                previousState.purchaseCodeNotice = response.data.message;
                return previousState;
              });
            }
          } else {
            console.dir(response);
            reactObj.setState(previousState => {
              return previousState.purchaseCodeNotice = this.__("Unknown error in response, try again later or contact support", 'argus-wordpress-plugin');
            });
          }
        });
      }
    });
  }
}
window.ReactDOM.render( /*#__PURE__*/React.createElement(ComponentsPanel, null), document.getElementById('argus-components-panel'));
}();
/******/ })()
;
//# sourceMappingURL=ComponentsPanel.js.map