/******/ (function() { // webpackBootstrap
/******/ 	"use strict";
/******/ 	var __webpack_modules__ = ({

/***/ "./controllers/AdminPanelAbstraction.jsx":
/*!***********************************************!*\
  !*** ./controllers/AdminPanelAbstraction.jsx ***!
  \***********************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": function() { return /* binding */ AdminPanelAbstraction; }
/* harmony export */ });
class AdminPanelAbstraction extends window.React.Component {
  __(string) {
    if (typeof this.state.translations !== 'undefined' && this.state.translations && typeof this.state.translations.locale_data !== 'undefined' && typeof this.state.translations.locale_data['argus-wordpress-plugin'] !== 'undefined' && typeof this.state.translations.locale_data['argus-wordpress-plugin'][string] !== 'undefined' && typeof this.state.translations.locale_data['argus-wordpress-plugin'][string][0] !== 'undefined') {
      return this.state.translations.locale_data['argus-wordpress-plugin'][string][0];
    }
    return string;
  }
  switchTab(newTabID) {
    let tabs = [];
    for (let tab of this.state.tabs) {
      if (tab.id === newTabID) tab.active = true;else tab.active = false;
      tabs.push(tab);
    }
    this.setState(previousState => {
      previousState.tabs = tabs;
      previousState.activeTab = newTabID;
      return previousState;
    });
  }
  inputTextChange(event) {
    this.setState(previousState => {
      return previousState.settingsValues[event.target.name] = event.target.value;
    }, () => {
      this.saveOption(event.target.name, this.state.settingsValues[event.target.name]);
    });
  }
  inputRadioChange(event) {
    this.setState(previousState => {
      return previousState.settingsValues[event.target.name] = event.target.value;
    }, () => {
      this.saveOption(event.target.name, this.state.settingsValues[event.target.name]);
    });
  }
  inputSelectChange(event) {
    this.setState(previousState => {
      return previousState.settingsValues[event.target.name] = event.target.value;
    }, () => {
      this.saveOption(event.target.name, this.state.settingsValues[event.target.name]);
    });
  }
  inputCheckboxChange(event) {
    this.setState(previousState => {
      return previousState.settingsValues[event.target.name] = event.target.checked ? 1 : 0;
    }, () => {
      this.saveOption(event.target.name, this.state.settingsValues[event.target.name]);
    });
  }
  inputTextAreaChange(event) {
    this.setState(previousState => {
      return previousState.settingsValues[event.target.name] = event.target.value;
    }, () => {
      this.saveOption(event.target.name, this.state.settingsValues[event.target.name], ['tags_list']);
    });
  }
  inputTextAreaSwitchTag(name, tag_value, active) {
    this.setState(previousState => {
      let currentValues = previousState.settingsValues[name].split(',').filter(i => i);
      if (active) {
        let newValues = [];
        currentValues.map(val => {
          if (val.toString() !== tag_value.toString()) newValues.push(val);
        });
        previousState.settingsValues[name] = newValues.join(',');
      } else {
        currentValues.push(tag_value);
        previousState.settingsValues[name] = currentValues.join(',');
      }
      previousState.stateUpdateHash = Date.now();
      return previousState;
    }, () => {
      this.saveOption(name, this.state.settingsValues[name], ['tags_list']);
    });
  }
  inputRepeaterDelete(name, id) {
    this.setState(previousState => {
      let currentValues = previousState.settingsValues[name];
      let newValues = [];
      currentValues.map(val => {
        if (val.id.toString() !== id.toString()) newValues.push(val);
      });
      return previousState.settingsValues[name] = newValues;
    }, () => {
      this.saveRepeater(name, this.state.settingsValues[name]);
    });
  }
  inputRepeaterUpdate(event, id, name) {
    this.setState(previousState => {
      let currentValues = previousState.settingsValues[name];
      currentValues.map((val, index) => {
        if (val.id.toString() === id.toString()) {
          let addEmpty = false;
          if (!val.name && !val.url) addEmpty = true;
          currentValues[index][event.target.name] = event.target.value;
          if (addEmpty) {
            currentValues.push({
              id: Date.now(),
              name: '',
              value: ''
            });
          }
        }
      });
      return previousState.settingsValues[name] = currentValues;
    }, () => {
      this.saveRepeater(name, this.state.settingsValues[name]);
    });
  }
  saveRepeater(name, data) {
    let newData = {};
    data.map(val => {
      if (val.name || val.url) {
        newData[val.id] = {};
        newData[val.id]['name'] = val.name;
        newData[val.id]['url'] = val.url;
      }
    });
    this.saveOption(name, JSON.stringify(newData), ['strip_slashes']);
  }
  inputImageOpenMediaSelector(imageInputName) {
    let imageSelector = window.wp.media({
      multiple: false,
      library: {
        type: 'image'
      }
    });
    var reactObj = this;
    imageSelector.on('close', () => {
      let selection = imageSelector.state().get('selection');
      let galleryIds = [];
      let selectionIndex = 0;
      let selectionURL = '';
      selection.each(attachment => {
        galleryIds[selectionIndex] = attachment['id'];
        selectionURL = attachment.attributes.url;
        selectionIndex++;
      });
      let ids = galleryIds.join(',');
      if (ids) {
        reactObj.setState(previousState => {
          previousState.settingsValues.argusDiscordDefaultAvatar = ids;
          previousState.settingsValues.argusDiscordDefaultAvatarURL = selectionURL;
          return previousState;
        });
        reactObj.saveOption(imageInputName, ids);
      }
    });
    imageSelector.open();
  }
  saveOption(optionKey, optionValue) {
    let optionFilter = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : [];
    if (this.state.saveActive) {
      this.state.saveStack[optionKey] = {
        optionKey: optionKey,
        optionValue: optionValue,
        optionFilter: optionFilter
      };
    } else {
      this.setState(previousState => {
        return previousState.saveActive = true;
      });
      let data = {
        action: 'argusSaveOption',
        optionKey: optionKey,
        optionValue: optionValue,
        optionFilter: optionFilter
      };
      var reactObj = this;
      jQuery.post(ajaxurl, data, response => {
        reactObj.setState(previousState => {
          return previousState.saveActive = false;
        });
        if ('success' in response && response.success !== true) {
          console.dir(response);
        }
        let objKeys = Object.keys(reactObj.state.saveStack);
        if (objKeys.length) {
          reactObj.saveOption(reactObj.state.saveStack[objKeys[0]].optionKey, reactObj.state.saveStack[objKeys[0]].optionValue, reactObj.state.saveStack[objKeys[0]].optionFilter);
          delete reactObj.state.saveStack[objKeys[0]];
        }
      });
    }
  }
  startLongProcess(title, ajaxHook) {
    this.setState(previousState => {
      previousState.settingsTitle = title;
      previousState.longProcess = true;
      return previousState;
    });
    var reactObj = this;
    jQuery.post(ajaxurl, {
      action: ajaxHook
    }, response => {
      if (response.success === true) {
        reactObj.setState(previousState => {
          previousState.longProcessTasks = previousState.longProcessTasks.concat(response.data);
          previousState.longProcessTasks[0].state = 1;
          previousState.longProcessTasks[0].text = reactObj.__("List of actions received", 'argus-wordpress-plugin');
          return previousState;
        });
        reactObj.countLongProcessPercent(0);
        reactObj.runNextLongProcess();
      } else {
        console.dir(response);
        if (typeof response.data === 'string') {
          reactObj.setState(previousState => {
            previousState.longProcessTasks[0].state = 2;
            previousState.longProcessTasks[0].text = response.data;
            return previousState;
          });
        }
      }
    });
  }
  runNextLongProcess() {
    for (let taskKey = 0; taskKey < this.state.longProcessTasks.length; taskKey++) {
      if (this.state.longProcessTasks[taskKey].state === 4) {
        this.setState(previousState => {
          return previousState.longProcessTasks[taskKey].state = 3;
        });
        var reactObj = this;
        jQuery.post(ajaxurl, this.state.longProcessTasks[taskKey].data, response => {
          if ('success' in response) {
            if (typeof reactObj.state.longProcessTasks[taskKey] === 'object') {
              if (response.success === true) {
                reactObj.setState(previousState => {
                  previousState.longProcessTasks[taskKey].state = 1;
                  previousState.longProcessTasks[taskKey].text = response.data.message;
                  return previousState;
                });
                if (typeof response.data.state !== 'undefined') {
                  reactObj.setState(previousState => {
                    for (const [key, value] of Object.entries(response.data.state)) {
                      previousState[key] = value;
                    }
                    return previousState;
                  });
                }
              } else {
                console.dir(response);
                reactObj.setState(previousState => {
                  previousState.longProcessTasks[taskKey].state = 2;
                  previousState.longProcessTasks[taskKey].text = response.data.message;
                  return previousState;
                });
              }
            }
          } else {
            console.dir(response);
            reactObj.setState(previousState => {
              previousState.longProcessTasks[taskKey].state = 2;
              previousState.longProcessTasks[taskKey].text = reactObj.__("Error on the server", 'argus-wordpress-plugin');
              return previousState;
            });
          }
          if (reactObj.state.longProcess) {
            reactObj.countLongProcessPercent(taskKey);
            if (reactObj.state.initUpdate && reactObj.state.progressPercent === '100%') {
              reactObj.stopLongProcess();
            } else {
              reactObj.runNextLongProcess();
            }
          }
        });
        break;
      }
    }
  }
  countLongProcessPercent(position) {
    position = position + 1;
    this.setState(previousState => {
      let percent = Math.ceil(100 / previousState.longProcessTasks.length * position);
      if (percent > 100) percent = 100;
      previousState.progressPercent = String(percent) + '%';
      return previousState;
    });
  }
  stopLongProcess() {
    this.setState(previousState => {
      previousState.settingsTitle = previousState.defaultTitle;
      previousState.longProcess = false;
      previousState.progressPercent = '0%';
      previousState.longProcessTasks[0].state = 3;
      previousState.longProcessTasks[0].text = this.__("Building list of actions...", 'argus-wordpress-plugin');
      previousState.longProcessTasks = previousState.longProcessTasks.slice(0, 1);
      return previousState;
    });
  }
  restartLongProcess() {
    window.scrollTo({
      top: 0,
      behavior: 'smooth'
    });
    this.setState(previousState => {
      previousState.longProcessTasks.map(item => item.state = 3);
      previousState.longProcessTasks[0].state = 1;
      return previousState;
    }, () => {
      if (this.state.progressPercent === '100%') this.runNextLongProcess();
    });
  }
  runSingleProcess(ajaxHook, processKey) {
    this.setState(previousState => {
      return previousState.singleProcessStatus[processKey] = 3;
    });
    var reactObj = this;
    jQuery.post(ajaxurl, {
      action: ajaxHook
    }, response => {
      if ('success' in response) {
        if (response.success === true) {
          reactObj.setState(previousState => {
            return previousState.singleProcessStatus[processKey] = 1;
          });
        } else {
          reactObj.setState(previousState => {
            return previousState.singleProcessStatus[processKey] = 2;
          });
          if ('data' in response && 'message' in response.data) alert(response.data.message);
          console.dir(response);
        }
      }
      setTimeout(() => {
        reactObj.setState(previousState => {
          return previousState.singleProcessStatus[processKey] = 4;
        });
      }, 2000);
    });
  }
  updateLogs() {
    let component = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 0;
    let data = {
      action: 'argusGetLogs',
      component: component
    };
    var reactObj = this;
    jQuery.post(ajaxurl, data, response => {
      if (response.success === true) {
        reactObj.setState(previousState => {
          return previousState.log = response.data;
        });
      } else {
        console.dir(response);
        reactObj.setState(previousState => {
          return previousState.log = {
            level: 10,
            timestamp: false,
            text: this.__("No messages in the log.", 'argus-wordpress-plugin')
          };
        });
      }
    });
  }
}

/***/ }),

/***/ "./views/Update.jsx":
/*!**************************!*\
  !*** ./views/Update.jsx ***!
  \**************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": function() { return /* binding */ UpdateView; }
/* harmony export */ });
/* harmony import */ var _GeneralAdminViews_Progressbar_jsx__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @GeneralAdminViews/Progressbar.jsx */ "./views/includes/Progressbar.jsx");

class UpdateView extends window.React.Component {
  render() {
    return /*#__PURE__*/React.createElement(React.Fragment, null, !this.props.newVersionAvailable && /*#__PURE__*/React.createElement("p", null, this.props.__("Your Argus components are all up to date.", 'argus-wordpress-plugin')), this.props.newVersionAvailable && /*#__PURE__*/React.createElement("div", {
      className: "argus-update-container"
    }, this.props.longProcess && /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(_GeneralAdminViews_Progressbar_jsx__WEBPACK_IMPORTED_MODULE_0__["default"], {
      key: 'Progressbar' + this.props.key,
      __: this.__,
      colors: this.props.colors,
      progressPercent: this.props.progressPercent
    }), /*#__PURE__*/React.createElement("div", {
      id: "argus-progressbar-messages"
    }, this.props.longProcessTasks.map(item => /*#__PURE__*/React.createElement("p", null, item.state === 1 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-yes"
    }), item.state === 2 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-no-alt"
    }), item.state === 3 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-update"
    }), item.state === 4 && /*#__PURE__*/React.createElement("span", {
      className: "dashicons"
    }), /*#__PURE__*/React.createElement("span", {
      dangerouslySetInnerHTML: {
        __html: item.text
      }
    }))))), !this.props.longProcess && /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("h3", null, this.props.__("Pre Installation Checks", 'argus-wordpress-plugin')), /*#__PURE__*/React.createElement("div", {
      id: "argus-progressbar-messages"
    }, /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-info-outline"
    }), /*#__PURE__*/React.createElement("span", null, this.props.__("Update available, new version:", 'argus-wordpress-plugin'), ' ', this.props.updateVersion, '. ', this.props.__("Current version:", 'argus-wordpress-plugin'), ' ', this.props.currentVersion)), this.props.updateMessage !== '' && /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-info-outline"
    }), /*#__PURE__*/React.createElement("span", null, this.props.updateMessage)), !this.props.PHPVersionSupported && /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-no-alt"
    }), /*#__PURE__*/React.createElement("span", null, this.props.__("Your PHP version is not supported. Required minimum version is:", 'argus-wordpress-plugin'), ' ', this.props.updateVersionPHP, '. ', this.props.__("Current PHP version:", 'argus-wordpress-plugin'), ' ', this.props.currentVersionPHP)), this.props.PHPVersionSupported && /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-yes"
    }), /*#__PURE__*/React.createElement("span", null, this.props.__("Current PHP version:", 'argus-wordpress-plugin'), ' ', this.props.currentVersionPHP)), !this.props.WPVersionSupported && /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-no-alt"
    }), /*#__PURE__*/React.createElement("span", null, this.props.__("Your WordPress version is not supported. Required minimum version is:", 'argus-wordpress-plugin'), ' ', this.props.updateVersionWP, '. ', this.props.__("Current WordPress version:", 'argus-wordpress-plugin'), ' ', this.props.currentVersionWP)), this.props.WPVersionSupported && /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-yes"
    }), /*#__PURE__*/React.createElement("span", null, this.props.__("Current WordPress version:", 'argus-wordpress-plugin'), ' ', this.props.currentVersionWP)), !this.props.ElementorVersionSupported && /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-info-outline"
    }), /*#__PURE__*/React.createElement("span", null, this.props.__("Your Elementor version is not supported. Required minimum version is:", 'argus-wordpress-plugin'), ' ', this.props.updateVersionElementor, '. ', this.props.__("Current Elementor version:", 'argus-wordpress-plugin'), ' ', this.props.currentVersionElementor, '. ', this.props.__("Some widgets might function incorrectly.", 'argus-wordpress-plugin'))), this.props.ElementorVersionSupported && /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-yes"
    }), /*#__PURE__*/React.createElement("span", null, this.props.__("Current Elementor version:", 'argus-wordpress-plugin'), ' ', this.props.currentVersionElementor)), !this.props.WPContentWritable && /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-no-alt"
    }), /*#__PURE__*/React.createElement("span", null, /*#__PURE__*/React.createElement("i", null, 'wp-content '), this.props.__("folder is not writable.", 'argus-wordpress-plugin'))), this.props.WPContentWritable && /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement("span", {
      className: "dashicons dashicons-yes"
    }), /*#__PURE__*/React.createElement("span", null, this.props.__("Write access is granted.", 'argus-wordpress-plugin')))), this.props.updateIsPermited && /*#__PURE__*/React.createElement("a", {
      className: "button button-primary",
      onClick: () => this.props.startUpdateProcess()
    }, this.props.__("Start Update", 'argus-wordpress-plugin'))), this.props.supportExpireDate !== '' && /*#__PURE__*/React.createElement("div", {
      className: "argus-support",
      dangerouslySetInnerHTML: {
        __html: this.props.supportExpireDate
      }
    })));
  }
}

/***/ }),

/***/ "./views/includes/Progressbar.jsx":
/*!****************************************!*\
  !*** ./views/includes/Progressbar.jsx ***!
  \****************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": function() { return /* binding */ Progressbar; }
/* harmony export */ });
class Progressbar extends window.React.Component {
  render() {
    let percent = '';
    if (parseInt(this.props.progressPercent) > 4) percent = this.props.progressPercent;
    return /*#__PURE__*/React.createElement("div", {
      className: "argus-progressbar"
    }, /*#__PURE__*/React.createElement("div", {
      className: "argus-progressbar-progress",
      style: {
        'background': this.props.colors.accent,
        'color': this.props.colors.text,
        'width': this.props.progressPercent
      }
    }, percent));
  }
}

/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId](module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/define property getters */
/******/ 	!function() {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = function(exports, definition) {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	!function() {
/******/ 		__webpack_require__.o = function(obj, prop) { return Object.prototype.hasOwnProperty.call(obj, prop); }
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	!function() {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = function(exports) {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	}();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// This entry need to be wrapped in an IIFE because it need to be isolated against other modules in the chunk.
!function() {
/*!********************************!*\
  !*** ./controllers/Update.jsx ***!
  \********************************/
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _GeneralAdminControllers_AdminPanelAbstraction_jsx__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @GeneralAdminControllers/AdminPanelAbstraction.jsx */ "./controllers/AdminPanelAbstraction.jsx");
/* harmony import */ var _views_Update_jsx__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../views/Update.jsx */ "./views/Update.jsx");


class Update extends _GeneralAdminControllers_AdminPanelAbstraction_jsx__WEBPACK_IMPORTED_MODULE_0__["default"] {
  constructor() {
    super();
    this.state = argusStateValues;
    this.__ = this.__.bind(this);
    this.state.stateUpdateHash = Date.now();
    this.state.updateIsPermited = !!(argusStateValues.PHPVersionSupported && argusStateValues.WPVersionSupported && argusStateValues.WPContentWritable);
    this.state.longProcess = false;
    this.state.progressPercent = '0%';
    this.state.longProcessTasks = [{
      state: 4,
      text: this.__("Downloading new version...", 'argus-wordpress-plugin'),
      data: {
        action: 'argusDownloadUpdateZip'
      }
    }, {
      state: 4,
      text: this.__("Installing...", 'argus-wordpress-plugin'),
      data: {
        action: 'argusUnzipUpdateZip'
      }
    }, {
      state: 4,
      text: this.__("Updating current data...", 'argus-wordpress-plugin'),
      data: {
        action: 'argusUpdateDataAfterUpdate'
      }
    }, {
      state: 4,
      text: this.__("Cleaning after yourself...", 'argus-wordpress-plugin'),
      data: {
        action: 'argusClearUpdateGarbage'
      }
    }];
    this.startUpdateProcess = this.startUpdateProcess.bind(this);
    this.stopLongProcess = this.stopLongProcess.bind(this);
  }
  render() {
    return /*#__PURE__*/React.createElement(_views_Update_jsx__WEBPACK_IMPORTED_MODULE_1__["default"], {
      key: 'Update' + this.state.stateUpdateHash,
      colors: this.state.colors,
      supportExpireDate: this.state.supportExpireDate,
      supportEmail: this.state.supportEmail,
      updateVersion: this.state.updateVersion,
      updateMessage: this.state.updateMessage,
      currentVersion: this.state.currentVersion,
      newVersionAvailable: this.state.newVersionAvailable,
      currentVersionPHP: this.state.currentVersionPHP,
      updateVersionPHP: this.state.updateVersionPHP,
      PHPVersionSupported: this.state.PHPVersionSupported,
      currentVersionWP: this.state.currentVersionWP,
      updateVersionWP: this.state.updateVersionWP,
      WPVersionSupported: this.state.WPVersionSupported,
      currentVersionElementor: this.state.currentVersionElementor,
      updateVersionElementor: this.state.updateVersionElementor,
      ElementorVersionSupported: this.state.ElementorVersionSupported,
      WPContentWritable: this.state.WPContentWritable,
      updateIsPermited: this.state.updateIsPermited,
      longProcess: this.state.longProcess,
      progressPercent: this.state.progressPercent,
      longProcessTasks: this.state.longProcessTasks,
      startUpdateProcess: this.startUpdateProcess,
      __: this.__
    });
  }
  startUpdateProcess() {
    this.setState(previousState => {
      return previousState.longProcess = true;
    }, () => {
      this.runNextLongProcess();
    });
  }
}
window.ReactDOM.render( /*#__PURE__*/React.createElement(Update, null), document.getElementById('argus-update-panel'));
}();
/******/ })()
;
//# sourceMappingURL=Update.js.map